-- Realms updated on: 2024-11-22 UTC
-- Author: Aaron Topping (GenomeWhisperer) - Using custom written program WarcraftRealms.py


local Realms = {};
local initialized = false


-- Only Initialize if ever needed. No need to pull into memory otherwise.
local InitializeRealms = function()
    initialized = true

    if GRM.GameVersion() == "RETAIL" then

        Realms.us = {}
        Realms.us.enUS = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggramar", "Akama", "Alexstrasza", "Alleria", "Altar of Storms", "Alterac Mountains", "Aman'Thul", "Andorhal", "Anetheron", "Antonidas", "Anub'arak", "Anvilmar", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Auchindoun", "Azgalor", "Azjol-Nerub", "Azralon", "Azshara", "Azuremyst", "Baelgun", "Balnazzar", "Barthilas", "Black Dragonflight", "Blackhand", "Blackrock", "Blackwater Raiders", "Blackwing Lair", "Blade's Edge", "Bladefist", "Bleeding Hollow", "Blood Furnace", "Bloodhoof", "Bloodscalp", "Bonechewer", "Borean Tundra", "Boulderfist", "Bronzebeard", "Burning Blade", "Burning Legion", "Caelestrasz", "Cairne", "Cenarion Circle", "Cenarius", "Cho'gall", "Chromaggus", "Coilfang", "Crushridge", "Daggerspine", "Dalaran", "Dalvengyr", "Dark Iron", "Darkspear", "Darrowmere", "Dath'Remar", "Dawnbringer", "Deathwing", "Demon Soul", "Dentarg", "Destromath", "Dethecus", "Detheroc", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'Tharon", "Drak'thul", "Draka", "Drakkari", "Dreadmaul", "Drenden", "Dunemaul", "Durotan", "Duskwood", "Earthen Ring", "Echo Isles", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Eonar", "Eredar", "Executus", "Exodar", "Farstriders", "Feathermoon", "Fenris", "Firetree", "Fizzcrank", "Frostmane", "Frostmourne", "Frostwolf", "Galakrond", "Gallywix", "Garithos", "Garona", "Garrosh", "Ghostlands", "Gilneas", "Gnomeregan", "Goldrinn", "Gorefiend", "Gorgonnash", "Greymane", "Grizzly Hills", "Gul'dan", "Gundrak", "Gurubashi", "Hakkar", "Haomarush", "Hellscream", "Hydraxis", "Hyjal", "Icecrown", "Illidan", "Jaedenar", "Jubei'Thos", "Kael'thas", "Kalecgos", "Kargath", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Korgath", "Korialstrasz", "Kul Tiras", "Laughing Skull", "Lethon", "Lightbringer", "Lightning's Blade", "Lightninghoof", "Llane", "Lothar", "Madoran", "Maelstrom", "Magtheridon", "Maiev", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Medivh", "Misha", "Mok'Nathal", "Moon Guard", "Moonrunner", "Mug'thol", "Muradin", "Nagrand", "Nathrezim", "Nazgrel", "Nazjatar", "Nemesis", "Ner'zhul", "Nesingwary", "Nordrassil", "Norgannon", "Onyxia", "Perenolde", "Proudmoore", "Quel'Thalas", "Quel'dorei", "Ragnaros", "Ravencrest", "Ravenholdt", "Rexxar", "Rivendare", "Runetotem", "Sargeras", "Saurfang", "Scarlet Crusade", "Scilla", "Sen'jin", "Sentinels", "Shadow Council", "Shadowmoon", "Shadowsong", "Shandris", "Shattered Halls", "Shattered Hand", "Shu'halo", "Silver Hand", "Silvermoon", "Sisters of Elune", "Skullcrusher", "Skywall", "Smolderthorn", "Spinebreaker", "Spirestone", "Staghelm", "Steamwheedle Cartel", "Stonemaul", "Stormrage", "Stormreaver", "Stormscale", "Suramar", "Tanaris", "Terenas", "Terokkar", "Thaurissan", "The Forgotten Coast", "The Scryers", "The Underbog", "The Venture Co", "Thorium Brotherhood", "Thrall", "Thunderhorn", "Thunderlord", "Tichondrius", "Tol Barad", "Tortheldrin", "Trollbane", "Turalyon", "Twisting Nether", "Uldaman", "Uldum", "Undermine", "Ursin", "Uther", "Vashj", "Vek'nilash", "Velen", "Warsong", "Whisperwind", "Wildhammer", "Windrunner", "Winterhoof", "Wyrmrest Accord", "Ysera", "Ysondre", "Zangarmarsh", "Zul'jin", "Zuluhed"
        }
        Realms.us.koKR = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggramar", "Akama", "Alexstrasza", "Alleria", "Altar of Storms", "Alterac Mountains", "Aman'Thul", "Andorhal", "Anetheron", "Antonidas", "Anub'arak", "Anvilmar", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Auchindoun", "Azgalor", "Azjol-Nerub", "Azralon", "Azshara", "Azuremyst", "Baelgun", "Balnazzar", "Barthilas", "Black Dragonflight", "Blackhand", "Blackrock", "Blackwater Raiders", "Blackwing Lair", "Blade's Edge", "Bladefist", "Bleeding Hollow", "Blood Furnace", "Bloodhoof", "Bloodscalp", "Bonechewer", "Borean Tundra", "Boulderfist", "Bronzebeard", "Burning Blade", "Burning Legion", "Caelestrasz", "Cairne", "Cenarion Circle", "Cenarius", "Cho'gall", "Chromaggus", "Coilfang", "Crushridge", "Daggerspine", "Dalaran", "Dalvengyr", "Dark Iron", "Darkspear", "Darrowmere", "Dath'Remar", "Dawnbringer", "Deathwing", "Demon Soul", "Dentarg", "Destromath", "Dethecus", "Detheroc", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'Tharon", "Drak'thul", "Draka", "Drakkari", "Dreadmaul", "Drenden", "Dunemaul", "Durotan", "Duskwood", "Earthen Ring", "Echo Isles", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Eonar", "Eredar", "Executus", "Exodar", "Farstriders", "Feathermoon", "Fenris", "Firetree", "Fizzcrank", "Frostmane", "Frostmourne", "Frostwolf", "Galakrond", "Gallywix", "Garithos", "Garona", "Garrosh", "Ghostlands", "Gilneas", "Gnomeregan", "Goldrinn", "Gorefiend", "Gorgonnash", "Greymane", "Grizzly Hills", "Gul'dan", "Gundrak", "Gurubashi", "Hakkar", "Haomarush", "Hellscream", "Hydraxis", "Hyjal", "Icecrown", "Illidan", "Jaedenar", "Jubei'Thos", "Kael'thas", "Kalecgos", "Kargath", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Korgath", "Korialstrasz", "Kul Tiras", "Laughing Skull", "Lethon", "Lightbringer", "Lightning's Blade", "Lightninghoof", "Llane", "Lothar", "Madoran", "Maelstrom", "Magtheridon", "Maiev", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Medivh", "Misha", "Mok'Nathal", "Moon Guard", "Moonrunner", "Mug'thol", "Muradin", "Nagrand", "Nathrezim", "Nazgrel", "Nazjatar", "Nemesis", "Ner'zhul", "Nesingwary", "Nordrassil", "Norgannon", "Onyxia", "Perenolde", "Proudmoore", "Quel'Thalas", "Quel'dorei", "Ragnaros", "Ravencrest", "Ravenholdt", "Rexxar", "Rivendare", "Runetotem", "Sargeras", "Saurfang", "Scarlet Crusade", "Scilla", "Sen'jin", "Sentinels", "Shadow Council", "Shadowmoon", "Shadowsong", "Shandris", "Shattered Halls", "Shattered Hand", "Shu'halo", "Silver Hand", "Silvermoon", "Sisters of Elune", "Skullcrusher", "Skywall", "Smolderthorn", "Spinebreaker", "Spirestone", "Staghelm", "Steamwheedle Cartel", "Stonemaul", "Stormrage", "Stormreaver", "Stormscale", "Suramar", "Tanaris", "Terenas", "Terokkar", "Thaurissan", "The Forgotten Coast", "The Scryers", "The Underbog", "The Venture Co.", "Thorium Brotherhood", "Thrall", "Thunderhorn", "Thunderlord", "Tichondrius", "Tol Barad", "Tortheldrin", "Trollbane", "Turalyon", "Twisting Nether", "Uldaman", "Uldum", "Undermine", "Ursin", "Uther", "Vashj", "Vek'nilash", "Velen", "Warsong", "Whisperwind", "Wildhammer", "Windrunner", "Winterhoof", "Wyrmrest Accord", "Ysera", "Ysondre", "Zangarmarsh", "Zul'jin", "Zuluhed"
        }
        Realms.us.frFR = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggramar", "Akama", "Alexstrasza", "Alleria", "Altar of Storms", "Alterac Mountains", "Aman'Thul", "Andorhal", "Anetheron", "Antonidas", "Anub'arak", "Anvilmar", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Auchindoun", "Azgalor", "Azjol-Nerub", "Azralon", "Azshara", "Azuremyst", "Baelgun", "Balnazzar", "Barthilas", "Black Dragonflight", "Blackhand", "Blackrock", "Blackwater Raiders", "Blackwing Lair", "Blade's Edge", "Bladefist", "Bleeding Hollow", "Blood Furnace", "Bloodhoof", "Bloodscalp", "Bonechewer", "Borean Tundra", "Boulderfist", "Bronzebeard", "Burning Blade", "Burning Legion", "Caelestrasz", "Cairne", "Cenarion Circle", "Cenarius", "Cho'gall", "Chromaggus", "Coilfang", "Crushridge", "Daggerspine", "Dalaran", "Dalvengyr", "Dark Iron", "Darkspear", "Darrowmere", "Dath'Remar", "Dawnbringer", "Deathwing", "Demon Soul", "Dentarg", "Destromath", "Dethecus", "Detheroc", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'Tharon", "Drak'thul", "Draka", "Drakkari", "Dreadmaul", "Drenden", "Dunemaul", "Durotan", "Duskwood", "Earthen Ring", "Echo Isles", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Eonar", "Eredar", "Executus", "Exodar", "Farstriders", "Feathermoon", "Fenris", "Firetree", "Fizzcrank", "Frostmane", "Frostmourne", "Frostwolf", "Galakrond", "Gallywix", "Garithos", "Garona", "Garrosh", "Ghostlands", "Gilneas", "Gnomeregan", "Goldrinn", "Gorefiend", "Gorgonnash", "Greymane", "Grizzly Hills", "Gul'dan", "Gundrak", "Gurubashi", "Hakkar", "Haomarush", "Hellscream", "Hydraxis", "Hyjal", "Icecrown", "Illidan", "Jaedenar", "Jubei'Thos", "Kael'thas", "Kalecgos", "Kargath", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Korgath", "Korialstrasz", "Kul Tiras", "Laughing Skull", "Lethon", "Lightbringer", "Lightning's Blade", "Lightninghoof", "Llane", "Lothar", "Madoran", "Maelstrom", "Magtheridon", "Maiev", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Medivh", "Misha", "Mok'Nathal", "Moon Guard", "Moonrunner", "Mug'thol", "Muradin", "Nagrand", "Nathrezim", "Nazgrel", "Nazjatar", "Nemesis", "Ner'zhul", "Nesingwary", "Nordrassil", "Norgannon", "Onyxia", "Perenolde", "Proudmoore", "Quel'Thalas", "Quel'dorei", "Ragnaros", "Ravencrest", "Ravenholdt", "Rexxar", "Rivendare", "Runetotem", "Sargeras", "Saurfang", "Scarlet Crusade", "Scilla", "Sen'jin", "Sentinels", "Shadow Council", "Shadowmoon", "Shadowsong", "Shandris", "Shattered Halls", "Shattered Hand", "Shu'halo", "Silver Hand", "Silvermoon", "Sisters of Elune", "Skullcrusher", "Skywall", "Smolderthorn", "Spinebreaker", "Spirestone", "Staghelm", "Steamwheedle Cartel", "Stonemaul", "Stormrage", "Stormreaver", "Stormscale", "Suramar", "Tanaris", "Terenas", "Terokkar", "Thaurissan", "The Forgotten Coast", "The Scryers", "The Underbog", "The Venture Co", "Thorium Brotherhood", "Thrall", "Thunderhorn", "Thunderlord", "Tichondrius", "Tol Barad", "Tortheldrin", "Trollbane", "Turalyon", "Twisting Nether", "Uldaman", "Uldum", "Undermine", "Ursin", "Uther", "Vashj", "Vek'nilash", "Velen", "Warsong", "Whisperwind", "Wildhammer", "Windrunner", "Winterhoof", "Wyrmrest Accord", "Ysera", "Ysondre", "Zangarmarsh", "Zul'jin", "Zuluhed"
        }
        Realms.us.deDE = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggramar", "Akama", "Alexstrasza", "Alleria", "Altar of Storms", "Alterac Mountains", "Aman'thul", "Andorhal", "Anetheron", "Antonidas", "Anub'arak", "Anvilmar", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Auchindoun", "Azgalor", "Azjol-Nerub", "Azralon", "Azshara", "Azuremyst", "Baelgun", "Balnazzar", "Barthilas", "Black Dragonflight", "Blackhand", "Blackrock", "Blackwater Raiders", "Blackwing Lair", "Blade's Edge", "Bladefist", "Bleeding Hollow", "Blood Furnace", "Bloodhoof", "Bloodscalp", "Bonechewer", "Borean Tundra", "Boulderfist", "Bronzebeard", "Burning Blade", "Burning Legion", "Caelestrasz", "Cairne", "Cenarion Circle", "Cenarius", "Cho'gall", "Chromaggus", "Coilfang", "Crushridge", "Daggerspine", "Dalaran", "Dalvengyr", "Dark Iron", "Darkspear", "Darrowmere", "Dath'Remar", "Dawnbringer", "Deathwing", "Demon Soul", "Dentarg", "Destromath", "Dethecus", "Detheroc", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'Tharon", "Drak'thul", "Draka", "Drakkari", "Dreadmaul", "Drenden", "Dunemaul", "Durotan", "Duskwood", "Earthen Ring", "Echo Isles", "Eldre'Thalas", "Elune", "Emerald Dream", "Eonar", "Eredar", "Etrigg", "Executus", "Exodar", "Farstriders", "Feathermoon", "Fenris", "Firetree", "Fizzcrank", "Frostmane", "Frostmourne", "Frostwolf", "Galakrond", "Gallywix", "Garithos", "Garona", "Garrosh", "Ghostlands", "Gilneas", "Gnomeregan", "Goldrinn", "Gorefiend", "Gorgonnash", "Greymane", "Grizzly Hills", "Gul'dan", "Gundrak", "Gurubashi", "Hakkar", "Haomarush", "Hellscream", "Hydraxis", "Hyjal", "Icecrown", "Illidan", "Jaedenar", "Jubei'Thos", "Kael'thas", "Kalecgos", "Kargath", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Korgath", "Korialstrasz", "Kul Tiras", "Laughing Skull", "Lethon", "Lightbringer", "Lightning's Blade", "Lightninghoof", "Llane", "Lothar", "Madoran", "Maelstrom", "Magtheridon", "Maiev", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Medivh", "Misha", "Mok'Nathal", "Moon Guard", "Moonrunner", "Mug'thol", "Muradin", "Nagrand", "Nathrezim", "Nazgrel", "Nazjatar", "Nemesis", "Ner'zhul", "Nesingwary", "Nordrassil", "Norgannon", "Onyxia", "Perenolde", "Proudmoore", "Quel'Thalas", "Quel'dorei", "Ragnaros", "Ravencrest", "Ravenholdt", "Rexxar", "Rivendare", "Runetotem", "Sargeras", "Saurfang", "Scarlet Crusade", "Scilla", "Sen'jin", "Sentinels", "Shadow Council", "Shadowmoon", "Shadowsong", "Shandris", "Shattered Halls", "Shattered Hand", "Shu'halo", "Silver Hand", "Silvermoon", "Sisters of Elune", "Skullcrusher", "Skywall", "Smolderthorn", "Spinebreaker", "Spirestone", "Staghelm", "Steamwheedle Cartel", "Stonemaul", "Stormrage", "Stormreaver", "Stormscale", "Suramar", "Tanaris", "Terenas", "Terokkar", "Thaurissan", "The Forgotten Coast", "The Scryers", "The Underbog", "The Venture Co", "Thorium Brotherhood", "Thrall", "Thunderhorn", "Thunderlord", "Tichondrius", "Tol Barad", "Tortheldrin", "Trollbane", "Turalyon", "Twisting Nether", "Uldaman", "Uldum", "Undermine", "Ursin", "Uther", "Vashj", "Vek'nilash", "Velen", "Warsong", "Whisperwind", "Wildhammer", "Windrunner", "Winterhoof", "Wyrmrest Accord", "Ysera", "Ysondre", "Zangarmarsh", "Zul'jin", "Zuluhed"
        }
        Realms.us.zhCN = {
            "Area 52", "Dethecus", "Drak'thul", "Drenden", "Haomarush", "Korgath", "Public Test EU", "Scilla", "The Venture Co", "Ursin", "Wyrmrest Accord", "丹塔格", "乌瑟尔", "亚雷戈斯", "伊利丹", "伊崔格", "伊森德雷", "伊瑟拉", "光明使者", "克尔苏加德", "克洛玛古斯", "冬蹄", "冰川之拳", "冰霜之刃", "凯尔萨斯", "凯恩", "凯恩血蹄", "凯雷斯特拉兹", "刀锋山", "利刃之拳", "刺骨利刃", "加尔鲁什", "加德纳尔", "加里索斯", "加里维克斯", "北风苔原", "匹瑞诺德", "占星者", "卡兹格罗斯", "卡兹莫丹", "卡德加", "卡格斯", "卡雷苟斯", "古加尔", "古尔丹", "古拉巴什", "古达克", "吉尔尼斯", "哈卡", "哨兵", "嘲颅", "嚼骨者", "回音群岛", "图拉扬", "地狱咆哮", "埃克索图斯", "埃加洛尔", "埃德萨拉", "埃索达", "埃雷达尔", "基尔加丹", "基尔罗格", "塔纳利斯", "塞纳留斯", "塞纳里奥议会", "大地之环", "大漩涡", "天空之墙", "奈辛瓦里", "奎尔多雷", "奎尔萨拉斯", "奥丹姆", "奥妮克希亚", "奥特兰克", "奥蕾莉亚", "奥达曼", "奥金顿", "安东尼达斯", "安多哈尔", "安威玛尔", "安德麦", "安纳塞隆", "寒冰皇冠", "山丘之王", "岩石巨塔", "巨槌", "巨龙之吼", "巴尔古恩", "巴瑟拉斯", "巴纳扎尔", "幽暗沼泽", "幽魂之地", "库尔提拉斯", "影歌", "德拉卡", "德拉诺", "恶魔之魂", "戈古纳斯", "戈德林", "战歌", "托塞德林", "托尔巴拉德", "托尔贝恩", "拉文凯斯", "拉文霍德", "拉格纳罗斯", "提克迪奥斯", "断背", "普罗德摩", "暗影之月", "暗影议会", "暮色森林", "暴风祭坛", "月之守卫", "月行者", "朱倍尔索斯", "杜隆坦", "格雷迈恩", "梅尔加尼", "森金", "死亡之翼", "毁灭之锤", "泰瑞纳斯", "泰罗卡", "洛萨", "流沙之槌", "海加尔", "海达希亚", "涅墨西斯", "火焰之树", "灰熊丘陵", "烈焰荆棘", "热砂港", "燃烧之刃", "燃烧军团", "玛多兰", "玛格索尔", "玛法里奥", "玛洛恩", "玛瑟里顿", "玛维", "玛诺洛斯", "玛里苟斯", "珊蒂斯", "瑞文戴尔", "瑟银兄弟会", "瓦丝琪", "白银之手", "盘牙", "石锤", "破碎大厅", "破碎岭", "碎手", "碎颅者", "祖尔金", "祖鲁希德", "秘蓝岛", "穆拉丁", "米莎", "索瑞森", "红龙女王", "纳兹格雷尔", "纳斯雷兹姆", "纳格兰", "纳沙塔尔", "维伦", "维克尼拉斯", "羽月", "翡翠梦境", "考雷斯特拉兹", "耐奥祖", "肯瑞托", "舒哈鲁", "艾格文", "艾欧娜尔", "艾萨拉", "艾露恩", "艾露恩姐妹", "芬里斯", "苏拉玛", "范达尔鹿盔", "莫克纳萨", "莱恩", "莱索恩", "菲兹兰克", "萨尔", "萨格拉斯", "萨鲁法尔", "蛮锤", "蜘蛛王国", "血牙魔王", "血环", "血色十字军", "血顶", "诺甘农", "诺莫瑞根", "诺达希尔", "赞加沼泽", "轻风之语", "达克萨隆", "达卡莱", "达拉然", "达文格尔", "达斯雷玛", "达隆米尔", "远行者", "迦拉克隆", "迦罗娜", "迪托马斯", "迪瑟洛克", "遗忘海岸", "银月", "银色黎明", "闪电之刃", "阿克蒙德", "阿兹拉隆", "阿努巴拉克", "阿卡玛", "阿尔萨斯", "阿拉索", "阿曼苏尔", "阿格拉玛", "阿迦玛甘", "雷克萨", "雷蹄", "雷霆之王", "雷霆号角", "霜之哀伤", "霜狼", "风暴之怒", "风暴之鳞", "风暴裂隙", "风行者", "鲜血熔炉", "鹰巢山", "麦迪文", "黎明使者", "黑手军团", "黑暗之矛", "黑暗虚空", "黑水强盗", "黑石尖塔", "黑翼之巢", "黑铁", "黑龙军团", "龙骨平原"
        }
        Realms.us.esES = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggramar", "Akama", "Alexstrasza", "Alleria", "Altar of Storms", "Alterac Mountains", "Aman'thul", "Andorhal", "Anetheron", "Antonidas", "Anub'arak", "Anvilmar", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Auchindoun", "Azgalor", "Azjol-Nerub", "Azralon", "Azshara", "Azuremyst", "Baelgun", "Balnazzar", "Barthilas", "Black Dragonflight", "Blackhand", "Blackrock", "Blackwater Raiders", "Blackwing Lair", "Blade's Edge", "Bladefist", "Bleeding Hollow", "Blood Furnace", "Bloodhoof", "Bloodscalp", "Bonechewer", "Borean Tundra", "Boulderfist", "Bronzebeard", "Burning Blade", "Burning Legion", "Caelestrasz", "Cairne", "Cenarion Circle", "Cenarius", "Cho'gall", "Chromaggus", "Coilfang", "Crushridge", "Daggerspine", "Dalaran", "Dalvengyr", "Dark Iron", "Darkspear", "Darrowmere", "Dath'Remar", "Dawnbringer", "Deathwing", "Demon Soul", "Dentarg", "Destromath", "Dethecus", "Detheroc", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'Tharon", "Drak'thul", "Draka", "Drakkari", "Dreadmaul", "Drenden", "Dunemaul", "Durotan", "Duskwood", "Earthen Ring", "Echo Isles", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Eonar", "Eredar", "Executus", "Exodar", "Farstriders", "Feathermoon", "Fenris", "Firetree", "Fizzcrank", "Frostmane", "Frostmourne", "Frostwolf", "Galakrond", "Gallywix", "Garithos", "Garona", "Garrosh", "Ghostlands", "Gilneas", "Gnomeregan", "Goldrinn", "Gorefiend", "Gorgonnash", "Greymane", "Grizzly Hills", "Gul'dan", "Gundrak", "Gurubashi", "Hakkar", "Haomarush", "Hellscream", "Hydraxis", "Hyjal", "Icecrown", "Illidan", "Jaedenar", "Jubei'Thos", "Kael'thas", "Kalecgos", "Kargath", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Korgath", "Korialstrasz", "Kul Tiras", "Laughing Skull", "Lethon", "Lightbringer", "Lightning's Blade", "Lightninghoof", "Llane", "Lothar", "Madoran", "Maelstrom", "Magtheridon", "Maiev", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Medivh", "Misha", "Mok'Nathal", "Moon Guard", "Moonrunner", "Mug'thol", "Muradin", "Nagrand", "Nathrezim", "Nazgrel", "Nazjatar", "Ner'zhul", "Nesingwary", "Nordrassil", "Norgannon", "Némesis", "Onyxia", "Perenolde", "Proudmoore", "Quel'Thalas", "Quel'dorei", "Ragnaros", "Ravencrest", "Ravenholdt", "Rexxar", "Rivendare", "Runetotem", "Sargeras", "Saurfang", "Scarlet Crusade", "Scilla", "Sen'jin", "Sentinels", "Shadow Council", "Shadowmoon", "Shadowsong", "Shandris", "Shattered Halls", "Shattered Hand", "Shu'halo", "Silver Hand", "Silvermoon", "Sisters of Elune", "Skullcrusher", "Skywall", "Smolderthorn", "Spinebreaker", "Spirestone", "Staghelm", "Steamwheedle Cartel", "Stonemaul", "Stormrage", "Stormreaver", "Stormscale", "Suramar", "Tanaris", "Terenas", "Terokkar", "Thaurissan", "The Forgotten Coast", "The Scryers", "The Underbog", "The Venture Co", "Thorium Brotherhood", "Thrall", "Thunderhorn", "Thunderlord", "Tichondrius", "Tol Barad", "Tortheldrin", "Trollbane", "Turalyon", "Twisting Nether", "Uldaman", "Uldum", "Undermine", "Ursin", "Uther", "Vashj", "Vek'nilash", "Velen", "Warsong", "Whisperwind", "Wildhammer", "Windrunner", "Winterhoof", "Wyrmrest Accord", "Ysera", "Ysondre", "Zangarmarsh", "Zul'jin", "Zuluhed"
        }
        Realms.us.zhTW = {
            "52區", "Azralon", "丘加利", "亞茲加洛", "亞雷戈斯", "代斯特麥斯", "伊利丹", "伊崔格", "伊歐娜", "伊瑟拉", "伊索德雷", "伊露恩", "伊露恩姐妹", "光明使者", "克洛瑪古斯", "冬蹄部族", "冰霜之刺", "凱恩", "凱爾薩斯", "凱雷斯塔茲", "刃拳", "刺脊部族", "剛德拉克", "劍刃山脈", "加德納爾", "加里索斯", "加里維克斯", "北風凍原", "匹瑞諾德", "占卜者", "卡加斯", "卡德加", "卡爾洛斯", "卡茲格羅斯", "卡茲莫丹", "卡雷苟斯", "古拉巴什", "古爾丹", "吉爾尼斯", "哈卡", "哈姆魯什", "哨兵", "嘶軸", "噬骨者", "回音群島", "圖拉揚", "地獄吼", "埃克索圖斯", "埃德薩拉斯", "埃雷達爾", "基爾加丹", "基爾羅格", "塔納利斯", "塞納留斯", "塞納里奧議會", "天空之牆", "奈辛瓦里", "奎爾薩拉斯", "奧丹姆", "奧妮克希亞", "奧特蘭克山脈", "奧達曼", "奧齊頓", "安多哈爾", "安威瑪", "安東尼達斯", "安納塞隆", "寇格斯", "寒冰皇冠", "尖石", "巨槌", "巴爾古恩", "巴瑟拉斯", "巴納札爾", "席拉", "幽坑城", "庫爾提拉斯", "影歌", "德拉克瑞", "德拉克薩隆", "德拉克蘇爾", "德拉卡", "德拉諾", "德蘭丹", "怒風", "惡魔之魂", "戈古納斯", "戈德林", "戰歌", "戴瑟洛克", "托塞德林", "托巴拉德", "托爾貝恩", "扭曲虛空", "拉文霍德", "拉格納羅斯", "提克迪奧斯", "摩克納薩爾", "斷脊氏族", "普勞德摩爾", "暗影之月", "暗影議會", "暗矛部族", "暮色森林", "暴掠氏族", "月之守衛", "月行者", "末日錘", "杜洛坦", "森金", "死亡之翼", "泰洛卡", "泰瑞納斯", "洛薩", "流沙之槌", "海加爾山", "海達克西斯", "涅密希斯", "深幽泥沼", "漩渦", "火焰之樹", "灰白之丘", "烏爾辛", "烏瑟", "熱砂企業", "燃刃", "燃棘", "燃燒軍團", "獰笑骷髏", "珊蒂斯", "瑞文戴爾", "瑟銀兄弟會", "瑪多蘭", "瑪格索爾", "瑪法里恩", "瑪洛尼", "瑪爾加尼斯", "瑪瑟里頓", "瑪翼夫", "瑪諾洛斯", "瑪里苟斯", "瓦許", "登塔格", "白銀之手", "盤牙", "眾星之子", "石拳", "石槌", "破碎之嶺", "破碎之手", "破碎大廳", "碎顱氏族", "祈倫托", "祖爾金", "祖魯希德", "科爾蘇加德", "穆拉丁", "符文圖騰", "米莎", "納斯雷茲姆", "納沙塔爾", "納茲格雷爾", "納葛蘭", "索爾", "索瑞森", "維克尼拉斯", "羽月", "翡翠夢境", "考雷斯塔茲", "耐祖奧", "舒哈魯", "艾克索達", "艾格文", "艾薩拉", "艾蘭里亞", "芬里斯", "萊恩", "葛拉克朗", "葛雷邁恩", "薩格拉斯", "薩魯法爾", "藍謎島", "蘇拉瑪爾", "蠻錘", "血之谷", "血熔爐", "血色十字軍", "血蹄", "血頂部族", "血魔", "被遺忘的海岸", "裘比索斯", "語風", "諾姆瑞根", "諾甘農", "諾達希爾", "費倫", "贊格沼澤", "迦羅娜", "迪塞庫斯", "達拉溫格", "達拉然", "達斯雷瑪", "達隆米爾", "遠行者", "銀月", "銀色黎明", "銅鬚", "閃電之刃", "阿克蒙德", "阿努巴拉克", "阿卡瑪", "阿拉索", "阿曼蘇爾", "阿格拉瑪", "阿茲歐-奈幽", "阿薩斯", "阿迦瑪甘", "陶土議會", "雅立史卓莎", "雷克薩", "雷索", "雷角", "雷蹄", "雷霆王", "雷鱗", "霜之哀傷", "霜狼", "風暴祭壇", "風行者", "風險投資公司", "鬼魂之地", "鷹巢山", "鹿盔", "麥迪文", "黎明使者", "黑手氏族", "黑水強盜", "黑石氏族", "黑羽", "黑翼之巢", "黑鐵氏族", "黑龍軍團", "龍喉", "龍眠協調者", "龍骨荒野"
        }
        Realms.us.esMX = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggramar", "Akama", "Alexstrasza", "Alleria", "Alma de demonio", "Altar of Storms", "Alterac Mountains", "Aman'Thul", "Andorhal", "Anetheron", "Antonidas", "Anub'arak", "Anvilmar", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Auchindoun", "Azgalor", "Azjol-Nerub", "Azralon", "Azshara", "Azuremyst", "Baelgun", "Balnazzar", "Barthilas", "Black Dragonflight", "Blackhand", "Blackrock", "Blackwater Raiders", "Blackwing Lair", "Blade's Edge", "Bladefist", "Bleeding Hollow", "Blood Furnace", "Bloodhoof", "Bloodscalp", "Bonechewer", "Borean Tundra", "Boulderfist", "Bronzebeard", "Burning Blade", "Burning Legion", "Caelestrasz", "Cairne", "Cenarion Circle", "Cenarius", "Cho'gall", "Chromaggus", "Coilfang", "Crushridge", "Daggerspine", "Dalaran", "Dalvengyr", "Dark Iron", "Darkspear", "Darrowmere", "Dath'Remar", "Dawnbringer", "Deathwing", "Dentarg", "Destromath", "Dethecus", "Detheroc", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'Tharon", "Drak'thul", "Draka", "Drakkari", "Dreadmaul", "Drenden", "Dunemaul", "Durotan", "Duskwood", "Earthen Ring", "Echo Isles", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Eonar", "Eredar", "Executus", "Exodar", "Farstriders", "Feathermoon", "Fenris", "Firetree", "Fizzcrank", "Frostmane", "Frostmourne", "Frostwolf", "Galakrond", "Gallywix", "Garithos", "Garona", "Garrosh", "Ghostlands", "Gilneas", "Gnomeregan", "Goldrinn", "Gorefiend", "Gorgonnash", "Greymane", "Grizzly Hills", "Gul'dan", "Gundrak", "Gurubashi", "Hakkar", "Haomarush", "Hellscream", "Hydraxis", "Hyjal", "Icecrown", "Illidan", "Jaedenar", "Jubei'Thos", "Kael'thas", "Kalecgos", "Kargath", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Korgath", "Korialstrasz", "Kul Tiras", "Laughing Skull", "Lethon", "Lightbringer", "Lightning's Blade", "Lightninghoof", "Llane", "Lothar", "Madoran", "Maelstrom", "Magtheridon", "Maiev", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Medivh", "Misha", "Mok'Nathal", "Moon Guard", "Moonrunner", "Mug'thol", "Muradin", "Nagrand", "Nathrezim", "Nazgrel", "Nazjatar", "Ner'zhul", "Nesingwary", "Nordrassil", "Norgannon", "Némesis", "Onyxia", "Perenolde", "Proudmoore", "Quel'Thalas", "Quel'dorei", "Ragnaros", "Ravencrest", "Ravenholdt", "Rexxar", "Rivendare", "Runetotem", "Sargeras", "Saurfang", "Scarlet Crusade", "Scilla", "Sen'jin", "Sentinels", "Shadow Council", "Shadowmoon", "Shadowsong", "Shandris", "Shattered Halls", "Shattered Hand", "Shu'halo", "Silver Hand", "Silvermoon", "Sisters of Elune", "Skullcrusher", "Skywall", "Smolderthorn", "Spinebreaker", "Spirestone", "Staghelm", "Steamwheedle Cartel", "Stonemaul", "Stormrage", "Stormreaver", "Stormscale", "Suramar", "Tanaris", "Terenas", "Terokkar", "Thaurissan", "The Forgotten Coast", "The Scryers", "The Underbog", "The Venture Co", "Thorium Brotherhood", "Thrall", "Thunderhorn", "Thunderlord", "Tichondrius", "Tol Barad", "Tortheldrin", "Trollbane", "Turalyon", "Twisting Nether", "Uldaman", "Uldum", "Undermine", "Ursin", "Uther", "Vashj", "Vek'nilash", "Velen", "Warsong", "Whisperwind", "Wildhammer", "Windrunner", "Winterhoof", "Wyrmrest Accord", "Ysera", "Ysondre", "Zangarmarsh", "Zul'jin", "Zuluhed"
        }
        Realms.us.ruRU = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggramar", "Akama", "Alexstrasza", "Alleria", "Altar of Storms", "Alterac Mountains", "Aman'Thul US9", "Andorhal", "Anetheron", "Antonidas", "Anub'arak", "Anvilmar", "Arathor", "Archimonde", "Area 52", "Arthas", "Arygos", "Azgalor", "Azjol-Nerub", "Azralon", "Azshara", "Azuremyst", "Baelgun", "Balnazzar", "Barthilas US9", "Blackhand", "Blackrock", "Blackwater Raiders", "Blackwing Lair", "Blade's Edge", "Bladefist", "Bleeding Hollow", "Blood Furnace", "Bloodhoof", "Bloodscalp", "Bonechewer", "Borean Tundra", "Boulderfist", "Bronzebeard", "Burning Blade", "Burning Legion", "Caelestrasz US9", "Cairne", "Cenarius", "Cho'gall", "Chromaggus", "Coilfang", "Crushridge", "Daggerspine", "Dalaran", "Dalvengyr", "Dark Iron", "Darkspear", "Darrowmere", "Dath'Remar US9", "Dawnbringer", "Demon Soul", "Dentarg", "Destromath", "Dethecus", "Detheroc", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'Tharon", "Drak'thul", "Draka", "Drakkari", "Dreadmaul US9", "Drenden", "Dunemaul", "Durotan", "Duskwood", "Echo Isles", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Eonar", "Eredar", "Executus", "Exodar", "Feathermoon", "Fenris", "Firetree", "Fizzcrank", "Frostmane", "Frostmourne US9", "Frostwolf", "Galakrond", "Gallywix", "Garithos", "Garona", "Garrosh", "Ghostlands", "Gilneas", "Gnomeregan", "Goldrinn", "Gorefiend", "Gorgonnash", "Grizzly Hills", "Gul'dan", "Gundrak US9", "Gurubashi", "Hakkar", "Haomarush", "Hellscream", "Hydraxis", "Hyjal", "Icecrown", "Illidan", "Jaedenar", "Jubei'Thos US9", "Kael'thas", "Kargath", "Kel'Thuzad", "Khaz Modan", "Khaz'goroth US9", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Korgath", "Korialstrasz", "Kul Tiras", "Laughing Skull", "Lethon", "Lightbringer", "Lightning's Blade", "Lightninghoof", "Llane", "Lothar", "Madoran", "Maelstrom", "Magtheridon", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Medivh", "Moon Guard", "Moonrunner", "Mug'thol", "Nagrand US9", "Nathrezim", "Nazgrel", "Nazjatar", "Nemesis", "Ner'zhul", "Nesingwary", "Nordrassil", "Norgannon", "Onyxia", "Perenolde", "Proudmoore", "Quel'Thalas", "Quel'dorei", "Ragnaros", "Ravencrest", "Ravenholdt", "Rexxar", "Rivendare", "Runetotem", "Sargeras", "Saurfang US9", "Scarlet Crusade", "Scilla", "Sen'jin", "Sentinels", "Shadow Council", "Shadowmoon", "Shadowsong", "Shandris", "Shattered Halls", "Shattered Hand", "Shu'halo", "Silver Hand", "Silvermoon", "Sisters of Elune", "Skullcrusher", "Skywall", "Smolderthorn", "Spinebreaker", "Spirestone", "Staghelm", "Steamwheedle Cartel", "Stonemaul", "Stormrage", "Stormreaver", "Stormscale", "Suramar", "Tanaris", "Terokkar", "Thaurissan US9", "The Forgotten Coast", "The Scryers", "The Underbog", "The Venture Co", "Thorium Brotherhood", "Thrall", "Thunderhorn", "Thunderlord", "Tichondrius", "Tol Barad", "Tortheldrin", "Trollbane", "Turalyon", "Twisting Nether", "Uldaman", "Uldum", "Undermine", "Ursin", "Uther", "Vashj", "Vek'nilash", "Velen", "Warsong", "Whisperwind", "Wildhammer", "Winterhoof", "Wyrmrest Accord", "Ysondre", "Zangarmarsh", "Zul'jin", "Zuluhed", "Аукиндон", "Ветрокрылая", "Изера", "Кадгар", "Калесгос", "Круг Кенария", "Майев", "Миша", "Мок'Натал", "Мурадин", "Род черных драконов", "Седогрив", "Серебряный Рассвет", "Служители Земли", "Смертокрыл", "Странники", "Теренас"
        }
        Realms.us.ptBR = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggramar", "Akama", "Alexstrasza", "Alleria", "Altar of Storms", "Alterac Mountains", "Aman'Thul", "Andorhal", "Anetheron", "Antonidas", "Anub'arak", "Anvilmar", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Auchindoun", "Azgalor", "Azjol-Nerub", "Azralon", "Azshara", "Azuremyst", "Baelgun", "Balnazzar", "Barthilas", "Black Dragonflight", "Blackhand", "Blackrock", "Blackwater Raiders", "Blackwing Lair", "Blade's Edge", "Bladefist", "Bleeding Hollow", "Blood Furnace", "Bloodhoof", "Bloodscalp", "Bonechewer", "Borean Tundra", "Boulderfist", "Bronzebeard", "Burning Blade", "Burning Legion", "Caelestrasz", "Cairne", "Cenarion Circle", "Cenarius", "Cho'gall", "Chromaggus", "Coilfang", "Crushridge", "Daggerspine", "Dalaran", "Dalvengyr", "Dark Iron", "Darkspear", "Darrowmere", "Dath'Remar", "Dawnbringer", "Deathwing", "Demon Soul", "Dentarg", "Destromath", "Dethecus", "Detheroc", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'Tharon", "Drak'thul", "Draka", "Drakkari", "Dreadmaul", "Drenden", "Dunemaul", "Durotan", "Duskwood", "Earthen Ring", "Echo Isles", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Eonar", "Eredar", "Executus", "Exodar", "Farstriders", "Feathermoon", "Fenris", "Firetree", "Fizzcrank", "Frostmane", "Frostmourne", "Frostwolf", "Galakrond", "Gallywix", "Garithos", "Garona", "Garrosh", "Ghostlands", "Gilneas", "Gnomeregan", "Goldrinn", "Gorefiend", "Gorgonnash", "Greymane", "Grizzly Hills", "Gul'dan", "Gundrak", "Gurubashi", "Hakkar", "Haomarush", "Hellscream", "Hydraxis", "Hyjal", "Icecrown", "Illidan", "Jaedenar", "Jubei'Thos", "Kael'thas", "Kalecgos", "Kargath", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Korgath", "Korialstrasz", "Kul Tiras", "Laughing Skull", "Lethon", "Lightbringer", "Lightning's Blade", "Lightninghoof", "Llane", "Lothar", "Madoran", "Maelstrom", "Magtheridon", "Maiev", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Medivh", "Misha", "Mok'Nathal", "Moon Guard", "Moonrunner", "Mug'thol", "Muradin", "Nagrand", "Nathrezim", "Nazgrel", "Nazjatar", "Nemesis", "Ner'zhul", "Nesingwary", "Nordrassil", "Norgannon", "Onyxia", "Perenolde", "Proudmoore", "Quel'Thalas", "Quel'dorei", "Ragnaros", "Ravencrest", "Ravenholdt", "Rexxar", "Rivendare", "Runetotem", "Sargeras", "Saurfang", "Scarlet Crusade", "Scilla", "Sen'jin", "Sentinels", "Shadow Council", "Shadowmoon", "Shadowsong", "Shandris", "Shattered Halls", "Shattered Hand", "Shu'halo", "Silver Hand", "Silvermoon", "Sisters of Elune", "Skullcrusher", "Skywall", "Smolderthorn", "Spinebreaker", "Spirestone", "Staghelm", "Steamwheedle Cartel", "Stonemaul", "Stormrage", "Stormreaver", "Stormscale", "Suramar", "Tanaris", "Terenas", "Terokkar", "Thaurissan", "The Forgotten Coast", "The Scryers", "The Underbog", "The Venture Co", "Thorium Brotherhood", "Thrall", "Thunderhorn", "Thunderlord", "Tichondrius", "Tol Barad", "Tortheldrin", "Trollbane", "Turalyon", "Twisting Nether", "Uldaman", "Uldum", "Undermine", "Ursin", "Uther", "Vashj", "Vek'nilash", "Velen", "Warsong", "Whisperwind", "Wildhammer", "Windrunner", "Winterhoof", "Wyrmrest Accord", "Ysera", "Ysondre", "Zangarmarsh", "Zul'jin", "Zuluhed"
        }
        Realms.us.itIT = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggramar", "Akama", "Alexstrasza", "Alleria", "Altar of Storms", "Alterac Mountains", "Aman'Thul", "Andorhal", "Anetheron", "Antonidas", "Anub'arak", "Anvilmar", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Auchindoun", "Azgalor", "Azjol-Nerub", "Azralon", "Azshara", "Azuremyst", "Baelgun", "Balnazzar", "Barthilas", "Black Dragonflight", "Blackhand", "Blackrock", "Blackwater Raiders", "Blackwing Lair", "Blade's Edge", "Bladefist", "Bleeding Hollow", "Blood Furnace", "Bloodhoof", "Bloodscalp", "Bonechewer", "Borean Tundra", "Boulderfist", "Bronzebeard", "Burning Blade", "Burning Legion", "Caelestrasz", "Cairne", "Cenarion Circle", "Cenarius", "Cho'gall", "Chromaggus", "Coilfang", "Crushridge", "Daggerspine", "Dalaran", "Dalvengyr", "Dark Iron", "Darkspear", "Darrowmere", "Dath'Remar", "Dawnbringer", "Deathwing", "Demon Soul", "Dentarg", "Destromath", "Dethecus", "Detheroc", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'Tharon", "Drak'thul", "Draka", "Drakkari", "Dreadmaul", "Drenden", "Dunemaul", "Durotan", "Duskwood", "Earthen Ring", "Echo Isles", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Eonar", "Eredar", "Executus", "Exodar", "Farstriders", "Feathermoon", "Fenris", "Firetree", "Fizzcrank", "Frostmane", "Frostmourne", "Frostwolf", "Galakrond", "Gallywix", "Garithos", "Garona", "Garrosh", "Ghostlands", "Gilneas", "Gnomeregan", "Goldrinn", "Gorefiend", "Gorgonnash", "Greymane", "Grizzly Hills", "Gul'dan", "Gundrak", "Gurubashi", "Hakkar", "Haomarush", "Hellscream", "Hydraxis", "Hyjal", "Icecrown", "Illidan", "Jaedenar", "Jubei'Thos", "Kael'thas", "Kalecgos", "Kargath", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Korgath", "Korialstrasz", "Kul Tiras", "Laughing Skull", "Lethon", "Lightbringer", "Lightning's Blade", "Lightninghoof", "Llane", "Lothar", "Madoran", "Maelstrom", "Magtheridon", "Maiev", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Medivh", "Misha", "Mok'Nathal", "Moon Guard", "Moonrunner", "Mug'thol", "Muradin", "Nagrand", "Nathrezim", "Nazgrel", "Nazjatar", "Nemesis", "Ner'zhul", "Nesingwary", "Nordrassil", "Norgannon", "Onyxia", "Perenolde", "Proudmoore", "Quel'Thalas", "Quel'dorei", "Ragnaros", "Ravencrest", "Ravenholdt", "Rexxar", "Rivendare", "Runetotem", "Sargeras", "Saurfang", "Scarlet Crusade", "Scilla", "Sen'jin", "Sentinels", "Shadow Council", "Shadowmoon", "Shadowsong", "Shandris", "Shattered Halls", "Shattered Hand", "Shu'halo", "Silver Hand", "Silvermoon", "Sisters of Elune", "Skullcrusher", "Skywall", "Smolderthorn", "Spinebreaker", "Spirestone", "Staghelm", "Steamwheedle Cartel", "Stonemaul", "Stormrage", "Stormreaver", "Stormscale", "Suramar", "Tanaris", "Terenas", "Terokkar", "Thaurissan", "The Forgotten Coast", "The Scryers", "The Underbog", "The Venture Co", "Thorium Brotherhood", "Thrall", "Thunderhorn", "Thunderlord", "Tichondrius", "Tol Barad", "Tortheldrin", "Trollbane", "Turalyon", "Twisting Nether", "Uldaman", "Uldum", "Undermine", "Ursin", "Uther", "Vashj", "Vek'nilash", "Velen", "Warsong", "Whisperwind", "Wildhammer", "Windrunner", "Winterhoof", "Wyrmrest Accord", "Ysera", "Ysondre", "Zangarmarsh", "Zul'jin", "Zuluhed"
        }
        Realms.eu = {}
        Realms.eu.enUS = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggra", "Aggramar", "Ahn'Qiraj", "Al'Akir", "Alexstrasza", "Alleria", "Alonsus", "Aman'Thul", "Ambossar", "Anachronos", "Anetheron", "Antonidas", "Anub'arak", "Arak-arahm", "Arathi", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Ashenvale", "Aszune", "Auchindoun", "Azjol-Nerub", "Azshara", "Azuregos", "Azuremyst", "Baelgun", "Balnazzar", "Blackhand", "Blackmoore", "Blackrock", "Blackscar", "Blade's Edge", "Bladefist", "Bloodfeather", "Bloodhoof", "Bloodscalp", "Blutkessel", "Booty Bay", "Borean Tundra", "Boulderfist", "Bronze Dragonflight", "Bronzebeard", "Burning Blade", "Burning Legion", "Burning Steppes", "C'Thun", "Chamber of Aspects", "Chants éternels", "Cho'gall", "Chromaggus", "Colinas Pardas", "Confrérie du Thorium", "Conseil des Ombres", "Crushridge", "Culte de la Rive noire", "Daggerspine", "Dalaran", "Dalvengyr", "Darkmoon Faire", "Darksorrow", "Darkspear", "Das Konsortium", "Das Syndikat", "Deathguard", "Deathweaver", "Deathwing", "Deepholm", "Defias Brotherhood", "Dentarg", "Der Mithrilorden", "Der Rat von Dalaran", "Der abyssische Rat", "Destromath", "Dethecus", "Die Aldor", "Die Arguswacht", "Die Nachtwache", "Die Silberne Hand", "Die Todeskrallen", "Die ewige Wacht", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'thul", "Drek'Thar", "Dun Modr", "Dun Morogh", "Dunemaul", "Durotan", "Earthen Ring", "Echsenkessel", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Emeriss", "Eonar", "Eredar", "Eversong", "Executus", "Exodar", "Festung der Stürme", "Fordragon", "Forscherliga", "Frostmane", "Frostmourne", "Frostwhisper", "Frostwolf", "Galakrond", "Garona", "Garrosh", "Genjuros", "Ghostlands", "Gilneas", "Goldrinn", "Gordunni", "Gorgonnash", "Greymane", "Grim Batol", "Grom", "Gul'dan", "Hakkar", "Haomarush", "Hellfire", "Hellscream", "Howling Fjord", "Hyjal", "Illidan", "Jaedenar", "Kael'thas", "Karazhan", "Kargath", "Kazzak", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Kor'gall", "Krag'jin", "Krasus", "Kul Tiras", "Kult der Verdammten", "La Croisade écarlate", "Laughing Skull", "Les Clairvoyants", "Les Sentinelles", "Lich King", "Lightbringer", "Lightning's Blade", "Lordaeron", "Los Errantes", "Lothar", "Madmortem", "Magtheridon", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Marécage de Zangar", "Mazrigos", "Medivh", "Minahonda", "Moonglade", "Mug'thol", "Nagrand", "Nathrezim", "Naxxramas", "Nazjatar", "Nefarian", "Nemesis", "Neptulon", "Ner'zhul", "Nera'thor", "Nethersturm", "Nordrassil", "Norgannon", "Nozdormu", "Onyxia", "Outland", "Perenolde", "Pozzo dell'Eternità", "Proudmoore", "Quel'Thalas", "Ragnaros", "Rajaxx", "Rashgarroth", "Ravencrest", "Ravenholdt", "Razuvious", "Rexxar", "Runetotem", "Sanguino", "Sargeras", "Saurfang", "Scarshield Legion", "Sen'jin", "Shadowsong", "Shattered Halls", "Shattered Hand", "Shattrath", "Shen'dralar", "Silvermoon", "Sinstralis", "Skullcrusher", "Soulflayer", "Spinebreaker", "Sporeggar", "Steamwheedle Cartel", "Stormrage", "Stormreaver", "Stormscale", "Sunstrider", "Suramar", "Sylvanas", "Taerar", "Talnivarr", "Tarren Mill", "Teldrassil", "Temple noir", "Terenas", "Terokkar", "Terrordar", "The Maelstrom", "The Sha'tar", "The Venture Co", "Theradras", "Thermaplugg", "Thrall", "Throk'Feroth", "Thunderhorn", "Tichondrius", "Tirion", "Todeswache", "Trollbane", "Turalyon", "Twilight's Hammer", "Twisting Nether", "Tyrande", "Uldaman", "Ulduar", "Uldum", "Un'Goro", "Varimathras", "Vashj", "Vek'lor", "Vek'nilash", "Vol'jin", "Wildhammer", "Wrathbringer", "Xavius", "Ysera", "Ysondre", "Zenedar", "Zirkel des Cenarius", "Zul'jin", "Zuluhed"
        }
        Realms.eu.koKR = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggra", "Aggramar", "Ahn'Qiraj", "Al'Akir", "Alexstrasza", "Alleria", "Alonsus", "Aman'Thul", "Ambossar", "Anachronos", "Anetheron", "Antonidas", "Anub'arak", "Arak-arahm", "Arathi", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Ashenvale", "Aszune", "Auchindoun", "Azjol-Nerub", "Azshara", "Azuregos", "Azuremyst", "Baelgun", "Balnazzar", "Blackhand", "Blackmoore", "Blackrock", "Blackscar", "Blade's Edge", "Bladefist", "Bloodfeather", "Bloodhoof", "Bloodscalp", "Blutkessel", "Booty Bay", "Borean Tundra", "Boulderfist", "Bronze Dragonflight", "Bronzebeard", "Burning Blade", "Burning Legion", "Burning Steppes", "C'Thun", "Chamber of Aspects", "Chants éternels", "Cho'gall", "Chromaggus", "Colinas Pardas", "Confrérie du Thorium", "Conseil des Ombres", "Crushridge", "Daggerspine", "Dalaran", "Dalvengyr", "Darkmoon Faire", "Darksorrow", "Darkspear", "Das Konsortium", "Das Syndikat", "Deathguard", "Deathweaver", "Deathwing", "Deepholm", "Defias Brotherhood", "Dentarg", "Der Mithrilorden", "Der Rat von Dalaran", "Der abyssische Rat", "Destromath", "Dethecus", "Die Aldor", "Die Arguswacht", "Die Nachtwache", "Die Silberne Hand", "Die Todeskrallen", "Die ewige Wacht", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'thul", "Drek'Thar", "Dun Modr", "Dun Morogh", "Dunemaul", "Durotan", "Earthen Ring", "Echsenkessel", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Emeriss", "Eonar", "Eredar", "Eversong", "Executus", "Exodar", "Festung der Stürme", "Fordragon", "Forscherliga", "Frostmane", "Frostmourne", "Frostwhisper", "Frostwolf", "Galakrond", "Garona", "Garrosh", "Genjuros", "Ghostlands", "Gilneas", "Goldrinn", "Gordunni", "Gorgonnash", "Greymane", "Grim Batol", "Grom", "Gul'dan", "Hakkar", "Haomarush", "Hellfire", "Hellscream", "Howling Fjord", "Hyjal", "Illidan", "Jaedenar", "Kael'thas", "Karazhan", "Kargath", "Kazzak", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Kor'gall", "Krag'jin", "Krasus", "Kul Tiras", "Kult der Verdammten", "Kurdran", "La Croisade écarlate", "Laughing Skull", "Les Clairvoyants", "Les Sentinelles", "Lich King", "Lightbringer", "Lightning's Blade", "Lordaeron", "Los Errantes", "Lothar", "Madmortem", "Magtheridon", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Marécage de Zangar", "Mazrigos", "Medivh", "Minahonda", "Moonglade", "Mug'thol", "Nagrand", "Nathrezim", "Naxxramas", "Nazjatar", "Nefarian", "Nemesis", "Neptulon", "Ner'zhul", "Nera'thor", "Nethersturm", "Nordrassil", "Norgannon", "Nozdormu", "Onyxia", "Outland", "Perenolde", "Pozzo dell'Eternità", "Proudmoore", "Quel'Thalas", "Ragnaros", "Rajaxx", "Rashgarroth", "Ravencrest", "Ravenholdt", "Razuvious", "Rexxar", "Runetotem", "Sanguino", "Sargeras", "Saurfang", "Scarshield Legion", "Sen'jin", "Shadowsong", "Shattered Halls", "Shattered Hand", "Shattrath", "Shen'dralar", "Silvermoon", "Sinstralis", "Skullcrusher", "Soulflayer", "Spinebreaker", "Sporeggar", "Steamwheedle Cartel", "Stormrage", "Stormreaver", "Stormscale", "Sunstrider", "Suramar", "Sylvanas", "Taerar", "Talnivarr", "Tarren Mill", "Teldrassil", "Temple noir", "Terenas", "Terokkar", "Terrordar", "The Maelstrom", "The Sha'tar", "The Venture Co.", "Theradras", "Thermaplugg", "Thrall", "Throk'Feroth", "Thunderhorn", "Tichondrius", "Tirion", "Todeswache", "Trollbane", "Turalyon", "Twilight's Hammer", "Twisting Nether", "Tyrande", "Uldaman", "Ulduar", "Uldum", "Un'Goro", "Varimathras", "Vashj", "Vek'lor", "Vek'nilash", "Vol'jin", "Wildhammer", "Wrathbringer", "Xavius", "Ysera", "Ysondre", "Zenedar", "Zirkel des Cenarius", "Zul'jin", "Zuluhed"
        }
        Realms.eu.frFR = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggra", "Aggramar", "Ahn'Qiraj", "Al'Akir", "Alexstrasza", "Alleria", "Alonsus", "Aman'Thul", "Ambossar", "Anachronos", "Anetheron", "Antonidas", "Anub'arak", "Arak-arahm", "Arathi", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Ashenvale", "Aszune", "Auchindoun", "Azjol-Nerub", "Azshara", "Azuregos", "Azuremyst", "Baelgun", "Balnazzar", "Blackhand", "Blackmoore", "Blackrock", "Blackscar", "Blade's Edge", "Bladefist", "Bloodfeather", "Bloodhoof", "Bloodscalp", "Blutkessel", "Booty Bay", "Borean Tundra", "Boulderfist", "Bronze Dragonflight", "Bronzebeard", "Burning Blade", "Burning Legion", "Burning Steppes", "C'Thun", "Chamber of Aspects", "Chants éternels", "Cho'gall", "Chromaggus", "Colinas Pardas", "Confrérie du Thorium", "Conseil des Ombres", "Crushridge", "Culte de la Rive noire", "Daggerspine", "Dalaran", "Dalvengyr", "Darkmoon Faire", "Darksorrow", "Darkspear", "Das Konsortium", "Das Syndikat", "Deathguard", "Deathweaver", "Deathwing", "Deepholm", "Defias Brotherhood", "Dentarg", "Der Mithrilorden", "Der Rat von Dalaran", "Der abyssische Rat", "Destromath", "Dethecus", "Die Aldor", "Die Arguswacht", "Die Nachtwache", "Die Silberne Hand", "Die Todeskrallen", "Die ewige Wacht", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'thul", "Drek'Thar", "Dun Modr", "Dun Morogh", "Dunemaul", "Durotan", "Earthen Ring", "Echsenkessel", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Emeriss", "Eonar", "Eredar", "Eversong", "Executus", "Exodar", "Festung der Stürme", "Fordragon", "Forscherliga", "Frostmane", "Frostmourne", "Frostwhisper", "Frostwolf", "Galakrond", "Garona", "Garrosh", "Genjuros", "Ghostlands", "Gilneas", "Goldrinn", "Gordunni", "Gorgonnash", "Greymane", "Grim Batol", "Grom", "Gul'dan", "Hakkar", "Haomarush", "Hellfire", "Hellscream", "Howling Fjord", "Hyjal", "Illidan", "Jaedenar", "Kael'thas", "Karazhan", "Kargath", "Kazzak", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Kor'gall", "Krag'jin", "Krasus", "Kul Tiras", "Kult der Verdammten", "La Croisade écarlate", "Laughing Skull", "Les Clairvoyants", "Les Sentinelles", "Lich King", "Lightbringer", "Lightning's Blade", "Lordaeron", "Los Errantes", "Lothar", "Madmortem", "Magtheridon", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Marécage de Zangar", "Mazrigos", "Medivh", "Minahonda", "Moonglade", "Mug'thol", "Nagrand", "Nathrezim", "Naxxramas", "Nazjatar", "Nefarian", "Nemesis", "Neptulon", "Ner'zhul", "Nera'thor", "Nethersturm", "Nordrassil", "Norgannon", "Nozdormu", "Onyxia", "Outland", "Perenolde", "Pozzo dell'Eternità", "Proudmoore", "Quel'Thalas", "Ragnaros", "Rajaxx", "Rashgarroth", "Ravencrest", "Ravenholdt", "Razuvious", "Rexxar", "Runetotem", "Sanguino", "Sargeras", "Saurfang", "Scarshield Legion", "Sen'jin", "Shadowsong", "Shattered Halls", "Shattered Hand", "Shattrath", "Shen'dralar", "Silvermoon", "Sinstralis", "Skullcrusher", "Soulflayer", "Spinebreaker", "Sporeggar", "Steamwheedle Cartel", "Stormrage", "Stormreaver", "Stormscale", "Sunstrider", "Suramar", "Sylvanas", "Taerar", "Talnivarr", "Tarren Mill", "Teldrassil", "Temple noir", "Terenas", "Terokkar", "Terrordar", "The Maelstrom", "The Sha'tar", "The Venture Co", "Theradras", "Thermaplugg", "Thrall", "Throk'Feroth", "Thunderhorn", "Tichondrius", "Tirion", "Todeswache", "Trollbane", "Turalyon", "Twilight's Hammer", "Twisting Nether", "Tyrande", "Uldaman", "Ulduar", "Uldum", "Un'Goro", "Varimathras", "Vashj", "Vek'lor", "Vek'nilash", "Vol'jin", "Wildhammer", "Wrathbringer", "Xavius", "Ysera", "Ysondre", "Zenedar", "Zirkel des Cenarius", "Zul'jin", "Zuluhed"
        }
        Realms.eu.deDE = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggra", "Aggramar", "Ahn'Qiraj", "Al'Akir", "Alexstrasza", "Alleria", "Alonsus", "Aman'thul", "Ambossar", "Anachronos", "Anetheron", "Antonidas", "Anub'arak", "Arak-arahm", "Arathi", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Ashenvale", "Aszune", "Auchindoun", "Azjol-Nerub", "Azshara", "Azuregos", "Azuremyst", "Baelgun", "Balnazzar", "Blackhand", "Blackmoore", "Blackrock", "Blackscar", "Blade's Edge", "Bladefist", "Bloodfeather", "Bloodhoof", "Bloodscalp", "Blutkessel", "Booty Bay", "Borean Tundra", "Boulderfist", "Bronze Dragonflight", "Bronzebeard", "Burning Blade", "Burning Legion", "Burning Steppes", "C'Thun", "Chamber of Aspects", "Chants éternels", "Cho'gall", "Chromaggus", "Colinas Pardas", "Confrérie du Thorium", "Conseil des Ombres", "Crushridge", "Culte de la Rive noire", "Daggerspine", "Dalaran", "Dalvengyr", "Darkmoon Faire", "Darksorrow", "Darkspear", "Das Konsortium", "Das Syndikat", "Deathguard", "Deathweaver", "Deathwing", "Deephome", "Defias Brotherhood", "Dentarg", "Der Abyssische Rat", "Der Mithrilorden", "Der Rat von Dalaran", "Destromath", "Dethecus", "Die Aldor", "Die Arguswacht", "Die Nachtwache", "Die Silberne Hand", "Die Todeskrallen", "Die ewige Wacht", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'thul", "Drek'Thar", "Dun Modr", "Dun Morogh", "Dunemaul", "Durotan", "Earthen Ring", "Echsenkessel", "Eldre'Thalas", "Elune", "Emerald Dream", "Emeriss", "Eonar", "Eredar", "Etrigg", "Eversong", "Executus", "Exodar", "Festung der Stürme", "Fordragon", "Forscherliga", "Frostmane", "Frostmourne", "Frostwhisper", "Frostwolf", "Galakrond", "Garona", "Garrosh", "Genjuros", "Ghostlands", "Gilneas", "Goldrinn", "Gordunni", "Gorgonnash", "Greymane", "Grim Batol", "Grom", "Gul'dan", "Hakkar", "Haomarush", "Hellfire", "Hellscream", "Howling Fjord", "Hyjal", "Illidan", "Jaedenar", "Kael'thas", "Karazhan", "Kargath", "Kazzak", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Kor'gall", "Krag'jin", "Krasus", "Kul Tiras", "Kult der Verdammten", "La Croisade écarlate", "Laughing Skull", "Les Clairvoyants", "Les Sentinelles", "Lich King", "Lightbringer", "Lightning's Blade", "Lordaeron", "Los Errantes", "Lothar", "Madmortem", "Magtheridon", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Marécage de Zangar", "Mazrigos", "Medivh", "Minahonda", "Moonglade", "Mug'thol", "Nagrand", "Nathrezim", "Naxxramas", "Nazjatar", "Nefarian", "Nemesis", "Neptulon", "Ner'zhul", "Nera'thor", "Nethersturm", "Nordrassil", "Norgannon", "Nozdormu", "Onyxia", "Outland", "Perenolde", "Pozzo dell'Eternità", "Proudmoore", "Quel'Thalas", "Ragnaros", "Rajaxx", "Rashgarroth", "Ravencrest", "Ravenholdt", "Razuvious", "Rexxar", "Runetotem", "Sanguino", "Sargeras", "Saurfang", "Scarshield Legion", "Sen'jin", "Shadowsong", "Shattered Halls", "Shattered Hand", "Shattrath", "Shen'dralar", "Silvermoon", "Sinstralis", "Skullcrusher", "Soulflayer", "Spinebreaker", "Sporeggar", "Steamwheedle Cartel", "Stormrage", "Stormreaver", "Stormscale", "Sunstrider", "Suramar", "Sylvanas", "Taerar", "Talnivarr", "Tarren Mill", "Teldrassil", "Temple noir", "Terenas", "Terokkar", "Terrordar", "The Maelstrom", "The Sha'tar", "The Venture Co", "Theradras", "Thermaplugg", "Thrall", "Throk'Feroth", "Thunderhorn", "Tichondrius", "Tirion", "Todeswache", "Trollbane", "Turalyon", "Twilight's Hammer", "Twisting Nether", "Tyrande", "Uldaman", "Ulduar", "Uldum", "Un'Goro", "Varimathras", "Vashj", "Vek'lor", "Vek'nilash", "Vol'jin", "Wildhammer", "Wrathbringer", "Xavius", "Ysera", "Ysondre", "Zenedar", "Zirkel des Cenarius", "Zul'jin", "Zuluhed"
        }
        Realms.eu.zhCN = {
            "Aggra", "Ambossar", "Area 52", "Blutkessel", "Chants éternels", "Colinas Pardas", "Confrérie du Thorium", "Conseil des Ombres", "Culte de la Rive noire", "Darksorrow", "Das Konsortium", "Das Syndikat", "Der Mithrilorden", "Der Rat von Dalaran", "Der abyssische Rat", "Dethecus", "Die Aldor", "Die Arguswacht", "Die Nachtwache", "Die Silberne Hand", "Die Todeskrallen", "Die ewige Wacht", "Drak'thul", "Echsenkessel", "Festung der Stürme", "Forscherliga", "Genjuros", "Haomarush", "Krag'jin", "Kult der Verdammten", "La Croisade écarlate", "Les Clairvoyants", "Les Sentinelles", "Los Errantes", "Madmortem", "Marécage de Zangar", "Mazrigos", "Minahonda", "Nera'thor", "Pozzo dell'Eternità", "Rashgarroth", "Sanguino", "Sinstralis", "Temple noir", "The Venture Co", "Throk'Feroth", "Todeswache", "Zenedar", "Zirkel des Cenarius", "丹塔格", "丹莫德", "丹莫罗", "亚雷戈斯", "亡灵卫士", "伊利丹", "伊崔格", "伊森德雷", "伊瑟拉", "光明使者", "克尔苏加德", "克拉苏斯", "克洛玛古斯", "克苏恩", "冰川之拳", "冰霜之刃", "凯尔萨斯", "凯恩血蹄", "刀锋山", "利刃之拳", "刺骨利刃", "加尔鲁什", "加德纳尔", "北风苔原", "匹瑞诺德", "卡兹格罗斯", "卡兹莫丹", "卡德加", "卡扎克", "卡拉赞", "卡格斯", "古加尔", "古尔丹", "吉尔尼斯", "哈卡", "嘲颅", "嚎风峡湾", "图拉扬", "地狱咆哮", "地狱火", "埃克索图斯", "埃德萨拉", "埃索达", "埃苏雷格", "埃雷达尔", "基尔加丹", "基尔罗格", "塔伦米尔", "外域", "大地之环", "大漩涡", "天罚使者", "夺灵者", "奈法利安", "奎尔萨拉斯", "奥丹姆", "奥妮克希亚", "奥拉基尔", "奥杜尔", "奥蕾莉亚", "奥达曼", "奥金顿", "孢子村", "安东尼达斯", "安其拉", "安戈洛", "安纳塞隆", "山丘之王", "巨龙之吼", "巫妖之王", "巴尔古恩", "巴纳扎尔", "布莱克摩", "希尔瓦娜斯", "幽魂之地", "库尔提拉斯", "弗塔根", "影歌", "德拉诺", "德雷克塔尔", "戈古纳斯", "戈德林", "戈杜尼", "托尔贝恩", "托尼瓦尔", "拉文凯斯", "拉文霍德", "拉格纳罗斯", "拉苏维奥斯", "拉贾克斯", "提克迪奥斯", "提里奥", "断背", "普罗德摩", "暗月马戏团", "暮光之锤", "月光林地", "杜隆坦", "格瑞姆巴托", "格罗姆", "格雷迈恩", "梅尔加尼", "森金", "死亡之翼", "毁灭之锤", "永歌", "沃金", "沙塔尔", "沙塔斯", "泰兰德", "泰拉尔", "泰瑞纳斯", "泰罗卡", "泰罗达尔", "泰达希尔", "洛丹伦", "洛萨", "流沙之槌", "海加尔", "涅墨西斯", "深渊之巢", "灰谷", "热砂港", "燃烧之刃", "燃烧军团", "燃烧平原", "玛格索尔", "玛法里奥", "玛洛恩", "玛瑟里顿", "玛诺洛斯", "玛里苟斯", "瑟玛普拉格", "瑟莱德丝", "瓦丝琪", "瓦里玛萨斯", "破碎大厅", "破碎岭", "碎手", "碎颅者", "祖尔金", "祖鲁希德", "秘蓝岛", "符文图腾", "红龙女王", "纳克萨玛斯", "纳斯雷兹姆", "纳格兰", "纳沙塔尔", "织亡者", "维克尼拉斯", "维克洛尔", "翡翠梦境", "考戈尔", "耐奥祖", "耐普图隆", "肯瑞托", "艾格文", "艾欧娜尔", "艾苏恩", "艾莫莉丝", "艾萨拉", "艾露恩", "苏拉玛", "萨尔", "萨格拉斯", "萨维斯", "萨鲁法尔", "藏宝海湾", "虚空风暴", "蛮锤", "蜘蛛王国", "血羽", "血顶", "裂盾军团", "诺滋多姆", "诺甘农", "诺达希尔", "辛德拉", "达拉然", "达文格尔", "迦拉克隆", "迦罗娜", "迪托马斯", "迪菲亚兄弟会", "逐日者", "铜龙军团", "银月", "银色黎明", "闪电之刃", "阿克蒙德", "阿兰卡拉", "阿努巴拉克", "阿尔萨斯", "阿拉希", "阿拉索", "阿曼苏尔", "阿格拉玛", "阿纳克洛斯", "阿迦玛甘", "阿隆索斯", "雷克萨", "雷霆号角", "霜之哀伤", "霜狼", "霜语", "风暴之怒", "风暴之鳞", "风暴裂隙", "鹰巢山", "麦迪文", "黑手军团", "黑暗之矛", "黑暗虚空", "黑痕", "黑石尖塔", "龙神之厅", "龙骨平原"
        }
        Realms.eu.esES = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggra", "Aggramar", "Ahn'Qiraj", "Al'Akir", "Alexstrasza", "Alleria", "Alonsus", "Aman'thul", "Ambossar", "Anachronos", "Anetheron", "Antonidas", "Anub'arak", "Arak-arahm", "Arathi", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Ashenvale", "Aszune", "Auchindoun", "Azjol-Nerub", "Azshara", "Azuregos", "Azuremyst", "Baelgun", "Balnazzar", "Blackhand", "Blackmoore", "Blackrock", "Blackscar", "Blade's Edge", "Bladefist", "Bloodfeather", "Bloodhoof", "Bloodscalp", "Blutkessel", "Booty Bay", "Borean Tundra", "Boulderfist", "Bronze Dragonflight", "Bronzebeard", "Burning Blade", "Burning Legion", "Burning Steppes", "C'Thun", "Chamber of Aspects", "Chants éternels", "Cho'gall", "Chromaggus", "Colinas Pardas", "Confrérie du Thorium", "Conseil des Ombres", "Crushridge", "Culte de la Rive noire", "Daggerspine", "Dalaran", "Dalvengyr", "Darkmoon Faire", "Darksorrow", "Darkspear", "Das Konsortium", "Das Syndikat", "Deathguard", "Deathweaver", "Deathwing", "Deephome", "Defias Brotherhood", "Dentarg", "Der Mithrilorden", "Der Rat von Dalaran", "Der abyssische Rat", "Destromath", "Dethecus", "Die Aldor", "Die Arguswacht", "Die Nachtwache", "Die Silberne Hand", "Die Todeskrallen", "Die ewige Wacht", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'thul", "Drek'Thar", "Dun Modr", "Dun Morogh", "Dunemaul", "Durotan", "Earthen Ring", "Echsenkessel", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Emeriss", "Eonar", "Eredar", "Eversong", "Executus", "Exodar", "Festung der Stürme", "Fordragon", "Forscherliga", "Frostmane", "Frostmourne", "Frostwhisper", "Frostwolf", "Galakrond", "Garona", "Garrosh", "Genjuros", "Ghostlands", "Gilneas", "Goldrinn", "Gordunni", "Gorgonnash", "Greymane", "Grim Batol", "Grom", "Gul'dan", "Hakkar", "Haomarush", "Hellfire", "Hellscream", "Howling Fjord", "Hyjal", "Illidan", "Jaedenar", "Kael'thas", "Karazhan", "Kargath", "Kazzak", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Kor'gall", "Krag'jin", "Krasus", "Kul Tiras", "Kult der Verdammten", "La Croisade écarlate", "Laughing Skull", "Les Clairvoyants", "Les Sentinelles", "Lich King", "Lightbringer", "Lightning's Blade", "Lordaeron", "Los Errantes", "Lothar", "Madmortem", "Magtheridon", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Marécage de Zangar", "Mazrigos", "Medivh", "Minahonda", "Moonglade", "Mug'thol", "Nagrand", "Nathrezim", "Naxxramas", "Nazjatar", "Nefarian", "Nemesis", "Neptulon", "Ner'zhul", "Nera'thor", "Nethersturm", "Nordrassil", "Norgannon", "Nozdormu", "Onyxia", "Outland", "Perenolde", "Pozzo dell'Eternità", "Proudmoore", "Quel'Thalas", "Ragnaros", "Rajaxx", "Rashgarroth", "Ravencrest", "Ravenholdt", "Razuvious", "Rexxar", "Runetotem", "Sanguino", "Sargeras", "Saurfang", "Scarshield Legion", "Sen'jin", "Shadowsong", "Shattered Halls", "Shattered Hand", "Shattrath", "Shen'dralar", "Silvermoon", "Sinstralis", "Skullcrusher", "Soulflayer", "Spinebreaker", "Sporeggar", "Steamwheedle Cartel", "Stormrage", "Stormreaver", "Stormscale", "Sunstrider", "Suramar", "Sylvanas", "Taerar", "Talnivarr", "Tarren Mill", "Teldrassil", "Temple noir", "Terenas", "Terokkar", "Terrordar", "The Maelstrom", "The Sha'tar", "The Venture Co", "Theradras", "Thermaplugg", "Thrall", "Throk'Feroth", "Thunderhorn", "Tichondrius", "Tirion", "Todeswache", "Trollbane", "Turalyon", "Twilight's Hammer", "Twisting Nether", "Tyrande", "Uldaman", "Ulduar", "Uldum", "Un'Goro", "Varimathras", "Vashj", "Vek'lor", "Vek'nilash", "Vol'jin", "Wildhammer", "Wrathbringer", "Xavius", "Ysera", "Ysondre", "Zenedar", "Zirkel des Cenarius", "Zul'jin", "Zuluhed"
        }
        Realms.eu.zhTW = {
            "52區", "Ashenvale", "Blackscar", "Booty Bay", "Borean Tundra", "Chants eternels", "Colinas Pardas", "Confrerie du Thorium", "Conseil des Ombres", "Culte de la Rive noire", "Das Konsortium", "Das Syndikat", "Deathweaver", "Deephome", "Der Mithrilorden", "Der Rat von Dalaran", "Der abyssische Rat", "Die Aldor", "Die Arguswacht", "Die Nachtwache", "Die Todeskrallen", "Die ewige Wacht", "Echsenkessel", "Eversong", "Festung der Sturme", "Fordragon", "Galakrond", "Goldrinn", "Greymane", "Grom", "Howling Fjord", "Kult der Verdammten", "La Croisade ecarlate", "Les Clairvoyants", "Les Sentinelles", "Lich King", "Los Errantes", "Marecage de Zangar", "Pozzo dell'Eternità", "Razuvious", "Thermaplugg", "Todeswache", "Zirkel des Cenarius", "丘加利", "丹莫德", "丹莫洛", "亞斯隼", "亞雷戈斯", "代斯特麥斯", "伊利丹", "伊崔格", "伊歐娜", "伊瑟拉", "伊索德雷", "伊露恩", "光明使者", "克洛瑪古斯", "克蘇恩", "克雷金", "全球爭霸戰11", "全球爭霸戰12", "冰霜之刺", "凱爾薩斯", "刃拳", "刺脊部族", "劍刃山脈", "加德納爾", "匹瑞諾德", "卡加斯", "卡德加", "卡拉贊", "卡札克", "卡爾洛斯", "卡茲格羅斯", "卡茲莫丹", "卡薩斯", "古爾丹", "吉爾尼斯", "哈卡", "哈姆魯什", "圖拉揚", "地獄吼", "地獄火", "埃克索圖斯", "埃德薩拉斯", "埃雷達爾", "基爾加丹", "基爾羅格", "塔倫米爾", "外域", "大漩渦", "奈拉索爾", "奈普圖隆", "奈法利安", "奈瑟史頓", "奈達", "奎爾薩拉斯", "奧丹姆", "奧妮克希亞", "奧拉基爾", "奧杜亞", "奧達曼", "奧齊頓", "守護巨龍之間", "安伯薩", "安其拉", "安戈洛", "安東尼達斯", "安納克羅斯", "安納塞隆", "寇加爾", "巴爾古恩", "巴納札爾", "布萊克摩爾", "布魯克塞爾", "希瓦娜斯", "庫爾提拉斯", "弗塞雷迦", "影歌", "德拉克蘇爾", "德拉諾", "德雷克塔爾", "怒風", "憤怒使者", "戈古納斯", "戈杜尼", "托爾貝恩", "扭曲虛空", "拉文霍德", "拉格納羅斯", "拉賈克斯", "提克迪奧斯", "提里奧", "撒塔斯", "斯博格爾", "斷脊氏族", "普勞德摩爾", "暗悲", "暗月馬戲團", "暗矛部族", "暮光之錘", "暴掠氏族", "月光林地", "末日錘", "杉圭諾", "杜洛坦", "格瑞姆巴托", "森金", "死亡之翼", "沃金", "泰拉爾", "泰洛卡", "泰洛達", "泰爾尼瓦", "泰瑞納斯", "泰蘭妲", "泰達希爾", "洛克漢", "洛薩", "流沙之槌", "海加爾山", "涅密希斯", "熱砂企業", "燃刃", "燃燒平原", "燃燒軍團", "獰笑骷髏", "瑞許加羅斯", "瑟萊德絲", "瑪格索爾", "瑪法里恩", "瑪洛尼", "瑪爾加尼斯", "瑪瑟里頓", "瑪諾洛斯", "瑪里苟斯", "瓦許", "瓦里瑪薩斯", "登塔格", "白銀之手", "石拳", "破碎之嶺", "破碎之手", "破碎大廳", "碎顱氏族", "祈倫托", "祖爾金", "祖魯希德", "科爾蘇加德", "符文圖騰", "米那弘達", "納克薩瑪斯", "納斯雷茲姆", "納沙塔爾", "納葛蘭", "索克費羅斯", "索爾", "維克尼拉斯", "維克洛爾", "羅德隆", "翡翠夢境", "耐祖奧", "艾克索達", "艾格文", "艾索雷苟斯", "艾莫莉絲", "艾薩拉", "艾蘭里亞", "薩塔", "薩格拉斯", "薩維斯", "薩魯法爾", "藍謎島", "蘇拉瑪爾", "蠻錘", "血羽", "血蹄", "血頂部族", "裂盾軍團", "諾甘農", "諾茲多姆", "諾達希爾", "辛司特拉利斯", "辛德拉", "迦羅娜", "迪菲亞兄弟會", "逐日者", "達拉溫格", "達拉然", "銀月", "銀色黎明", "銅鬚", "閃電之刃", "閃電之刃", "阿克蒙德", "阿努巴拉克", "阿拉希", "阿拉索", "阿曼蘇爾", "阿格拉", "阿格拉瑪", "阿茲歐-奈幽", "阿薩斯", "阿蘭卡拉", "阿迦瑪甘", "阿隆索斯", "陶土議會", "雅立史卓莎", "雷克薩", "雷角", "雷鱗", "霜之哀傷", "霜狼", "霜語", "青銅龍軍團", "風險投資公司", "馬茲瑞葛斯", "鬼魂之地", "鷹巢山", "麥德摩迪", "麥迪文", "黑手氏族", "黑暗神廟", "黑石氏族", "黑羽", "龍喉", "龍骨荒野"
        }
        Realms.eu.esMX = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggra", "Aggramar", "Ahn'Qiraj", "Al'Akir", "Alexstrasza", "Alleria", "Alonsus", "Aman'Thul", "Ambossar", "Anachronos", "Anetheron", "Antonidas", "Anub'arak", "Arak-arahm", "Arathi", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Ashenvale", "Aszune", "Auchindoun", "Azjol-Nerub", "Azshara", "Azuregos", "Azuremyst", "Baelgun", "Balnazzar", "Blackhand", "Blackmoore", "Blackrock", "Blackscar", "Blade's Edge", "Bladefist", "Bloodfeather", "Bloodhoof", "Bloodscalp", "Blutkessel", "Booty Bay", "Borean Tundra", "Boulderfist", "Bronze Dragonflight", "Bronzebeard", "Burning Blade", "Burning Legion", "Burning Steppes", "C'Thun", "Chamber of Aspects", "Chants éternels", "Cho'gall", "Chromaggus", "Colinas Pardas", "Confrérie du Thorium", "Conseil des Ombres", "Crushridge", "Culte de la Rive noire", "Daggerspine", "Dalaran", "Dalvengyr", "Darkmoon Faire", "Darksorrow", "Darkspear", "Das Konsortium", "Das Syndikat", "Deathguard", "Deathweaver", "Deathwing", "Deephome", "Defias Brotherhood", "Dentarg", "Der Mithrilorden", "Der Rat von Dalaran", "Der abyssische Rat", "Destromath", "Dethecus", "Die Aldor", "Die Arguswacht", "Die Nachtwache", "Die Silberne Hand", "Die Todeskrallen", "Die ewige Wacht", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'thul", "Drek'Thar", "Dun Modr", "Dun Morogh", "Dunemaul", "Durotan", "Earthen Ring", "Echsenkessel", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Emeriss", "Eonar", "Eredar", "Eversong", "Executus", "Exodar", "Festung der Stürme", "Fordragon", "Forscherliga", "Frostmane", "Frostmourne", "Frostwhisper", "Frostwolf", "Galakrond", "Garona", "Garrosh", "Genjuros", "Ghostlands", "Gilneas", "Goldrinn", "Gordunni", "Gorgonnash", "Greymane", "Grim Batol", "Grom", "Gul'dan", "Hakkar", "Haomarush", "Hellfire", "Hellscream", "Howling Fjord", "Hyjal", "Illidan", "Jaedenar", "Kael'thas", "Karazhan", "Kargath", "Kazzak", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Kor'gall", "Krag'jin", "Krasus", "Kul Tiras", "Kult der Verdammten", "La Croisade écarlate", "Laughing Skull", "Les Clairvoyants", "Les Sentinelles", "Lich King", "Lightbringer", "Lightning's Blade", "Lordaeron", "Los Errantes", "Lothar", "Madmortem", "Magtheridon", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Marécage de Zangar", "Mazrigos", "Medivh", "Minahonda", "Moonglade", "Mug'thol", "Nagrand", "Nathrezim", "Naxxramas", "Nazjatar", "Nefarian", "Nemesis", "Neptulon", "Ner'zhul", "Nera'thor", "Nethersturm", "Nordrassil", "Norgannon", "Nozdormu", "Onyxia", "Outland", "Perenolde", "Pozzo dell'Eternità", "Proudmoore", "Quel'Thalas", "Ragnaros", "Rajaxx", "Rashgarroth", "Ravencrest", "Ravenholdt", "Razuvious", "Rexxar", "Runetotem", "Sanguino", "Sargeras", "Saurfang", "Scarshield Legion", "Sen'jin", "Shadowsong", "Shattered Halls", "Shattered Hand", "Shattrath", "Shen'dralar", "Silvermoon", "Sinstralis", "Skullcrusher", "Soulflayer", "Spinebreaker", "Sporeggar", "Steamwheedle Cartel", "Stormrage", "Stormreaver", "Stormscale", "Sunstrider", "Suramar", "Sylvanas", "Taerar", "Talnivarr", "Tarren Mill", "Teldrassil", "Temple noir", "Terenas", "Terokkar", "Terrordar", "The Maelstrom", "The Sha'tar", "The Venture Co", "Theradras", "Thermaplugg", "Thrall", "Throk'Feroth", "Thunderhorn", "Tichondrius", "Tirion", "Todeswache", "Trollbane", "Turalyon", "Twilight's Hammer", "Twisting Nether", "Tyrande", "Uldaman", "Ulduar", "Uldum", "Un'Goro", "Varimathras", "Vashj", "Vek'lor", "Vek'nilash", "Vol'jin", "Wildhammer", "Wrathbringer", "Xavius", "Ysera", "Ysondre", "Zenedar", "Zirkel des Cenarius", "Zul'jin", "Zuluhed"
        }
        Realms.eu.ruRU = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggra", "Aggramar", "Ahn'Qiraj", "Al'Akir", "Alexstrasza", "Alleria", "Alonsus", "Aman'Thul", "Ambossar", "Anachronos", "Anetheron", "Antonidas", "Anub'arak", "Arak-arahm", "Arathi", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Aszune", "Auchindoun", "Azjol-Nerub", "Azshara", "Azuremyst", "Baelgun", "Balnazzar", "Blackhand", "Blackmoore", "Blackrock", "Blade's Edge", "Bladefist", "Bloodfeather", "Bloodhoof", "Bloodscalp", "Blutkessel", "Boulderfist", "Bronze Dragonflight", "Bronzebeard", "Burning Blade", "Burning Legion", "Burning Steppes", "C'Thun", "Chamber of Aspects", "Chants éternels", "Cho'gall", "Chromaggus", "Confrérie du Thorium", "Conseil des Ombres", "Crushridge", "Culte de la Rive noire", "Daggerspine", "Dalaran", "Dalvengyr", "Darkmoon Faire", "Darksorrow", "Darkspear", "Das Konsortium", "Das Syndikat", "Deathwing", "Defias Brotherhood", "Dentarg", "Der Mithrilorden", "Der Rat von Dalaran", "Der abyssische Rat", "Destromath", "Dethecus", "Die Aldor", "Die Arguswacht", "Die Nachtwache", "Die Silberne Hand", "Die Todeskrallen", "Die ewige Wacht", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'thul", "Drek'Thar", "Dun Modr", "Dun Morogh", "Dunemaul", "Durotan", "Earthen Ring", "Echsenkessel", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Emeriss", "Eonar", "Eredar", "Executus", "Exodar", "Festung der Stürme", "Forscherliga", "Frostmane", "Frostmourne", "Frostwhisper", "Frostwolf", "Garona", "Garrosh", "Genjuros", "Ghostlands", "Gilneas", "Gorgonnash", "Grim Batol", "Gul'dan", "Hakkar", "Haomarush", "Hellfire", "Hellscream", "Hyjal", "Illidan", "Jaedenar", "Kael'thas", "Karazhan", "Kargath", "Kazzak", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Kor'gall", "Krag'jin", "Krasus", "Kul Tiras", "Kult der Verdammten", "La Croisade écarlate", "Laughing Skull", "Les Clairvoyants", "Les Sentinelles", "Lightbringer", "Lightning's Blade", "Lordaeron", "Los Errantes", "Lothar", "Madmortem", "Magtheridon", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Marécage de Zangar", "Mazrigos", "Medivh", "Minahonda", "Moonglade", "Mug'thol", "Nagrand", "Nathrezim", "Naxxramas", "Nazjatar", "Nefarian", "Nemesis", "Neptulon", "Ner'zhul", "Nera'thor", "Nethersturm", "Nordrassil", "Norgannon", "Nozdormu", "Onyxia", "Outland", "Perenolde", "Pozzo dell'Eternità", "Proudmoore", "Quel'Thalas", "Ragnaros", "Rajaxx", "Rashgarroth", "Ravencrest", "Ravenholdt", "Rexxar", "Runetotem", "Sanguino", "Sargeras", "Saurfang", "Scarshield Legion", "Sen'jin", "Shadowsong", "Shattered Halls", "Shattered Hand", "Shattrath", "Shen'dralar", "Silvermoon", "Sinstralis", "Skullcrusher", "Spinebreaker", "Spirestone", "Sporeggar", "Steamwheedle Cartel", "Stormrage", "Stormreaver", "Stormscale", "Sunstrider", "Suramar", "Sylvanas", "Taerar", "Talnivarr", "Tarren Mill", "Teldrassil", "Temple noir", "Terenas", "Terokkar", "Terrordar", "The Maelstrom", "The Sha'tar", "The Venture Co", "Theradras", "Thrall", "Throk'Feroth", "Thunderhorn", "Tichondrius", "Tirion", "Todeswache", "Trollbane", "Turalyon", "Twilight's Hammer", "Twisting Nether", "Tyrande", "Uldaman", "Ulduar", "Uldum", "Un'Goro", "Varimathras", "Vashj", "Vek'lor", "Vek'nilash", "Vol'jin", "Wildhammer", "Wrathbringer", "Xavius", "Ysera", "Ysondre", "Zenedar", "Zirkel des Cenarius", "Zul'jin", "Zuluhed", "Азурегос", "Борейская тундра", "Вечная Песня", "Галакронд", "Голдринн", "Гордунни", "Гром", "Дракономор", "Король-лич", "Пиратская Бухта", "Подземье", "Разувий", "Ревущий фьорд", "Свежеватель Душ", "Седогрив", "Страж Смерти", "Термоштепсель", "Ткач Смерти", "Черный Шрам", "Ясеневый лес"
        }
        Realms.eu.ptBR = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggra", "Aggramar", "Ahn'Qiraj", "Al'Akir", "Alexstrasza", "Alleria", "Alonsus", "Aman'Thul", "Ambossar", "Anachronos", "Anetheron", "Antonidas", "Anub'arak", "Arak-arahm", "Arathi", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Aszune", "Auchindoun", "Azjol-Nerub", "Azshara", "Azuremyst", "Baelgun", "Balnazzar", "Blackhand", "Blackmoore", "Blackrock", "Blade's Edge", "Bladefist", "Bloodfeather", "Bloodhoof", "Bloodscalp", "Blutkessel", "Boulderfist", "Bronze Dragonflight", "Bronzebeard", "Burning Blade", "Burning Legion", "Burning Steppes", "C'Thun", "Chamber of Aspects", "Chants éternels", "Cho'gall", "Chromaggus", "Colinas Pardas", "Confrérie du Thorium", "Conseil des Ombres", "Crushridge", "Culte de la Rive noire", "Daggerspine", "Dalaran", "Dalvengyr", "Darkmoon Faire", "Darksorrow", "Darkspear", "Das Konsortium", "Das Syndikat", "Deathwing", "Defias Brotherhood", "Dentarg", "Der Mithrilorden", "Der Rat von Dalaran", "Der abyssische Rat", "Destromath", "Dethecus", "Die Aldor", "Die Arguswacht", "Die Nachtwache", "Die Silberne Hand", "Die Todeskrallen", "Die ewige Wacht", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'thul", "Drek'Thar", "Dun Modr", "Dun Morogh", "Dunemaul", "Durotan", "Earthen Ring", "Echsenkessel", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Emeriss", "Eonar", "Eredar", "Executus", "Exodar", "Festung der Stürme", "Forscherliga", "Frostmane", "Frostmourne", "Frostwhisper", "Frostwolf", "Garona", "Garrosh", "Genjuros", "Ghostlands", "Gilneas", "Gorgonnash", "Grim Batol", "Gul'dan", "Hakkar", "Haomarush", "Hellfire", "Hellscream", "Hyjal", "Illidan", "Jaedenar", "Kael'thas", "Karazhan", "Kargath", "Kazzak", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Kor'gall", "Krag'jin", "Krasus", "Kul Tiras", "Kult der Verdammten", "La Croisade écarlate", "Laughing Skull", "Les Clairvoyants", "Les Sentinelles", "Lightbringer", "Lightning's Blade", "Lordaeron", "Los Errantes", "Lothar", "Madmortem", "Magtheridon", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Marécage de Zangar", "Mazrigos", "Medivh", "Minahonda", "Moonglade", "Mug'thol", "Nagrand", "Nathrezim", "Naxxramas", "Nazjatar", "Nefarian", "Nemesis", "Neptulon", "Ner'zhul", "Nera'thor", "Nethersturm", "Nordrassil", "Norgannon", "Nozdormu", "Onyxia", "Outland", "Perenolde", "Proudmoore", "Quel'Thalas", "Ragnaros", "Rajaxx", "Rashgarroth", "Ravencrest", "Ravenholdt", "Rexxar", "Runetotem", "Sanguino", "Sargeras", "Saurfang", "Scarshield Legion", "Sen'jin", "Shadowsong", "Shattered Halls", "Shattered Hand", "Shattrath", "Shen'dralar", "Silvermoon", "Sinstralis", "Skullcrusher", "Spinebreaker", "Sporeggar", "Steamwheedle Cartel", "Stormrage", "Stormreaver", "Stormscale", "Sunstrider", "Suramar", "Sylvanas", "Taerar", "Talnivarr", "Tarren Mill", "Teldrassil", "Temple noir", "Terenas", "Terokkar", "Terrordar", "The Maelstrom", "The Sha'tar", "The Venture Co", "Theradras", "Thrall", "Throk'Feroth", "Thunderhorn", "Tichondrius", "Tirion", "Todeswache", "Trollbane", "Turalyon", "Twilight's Hammer", "Twisting Nether", "Tyrande", "Uldaman", "Ulduar", "Uldum", "Un'Goro", "Varimathras", "Vashj", "Vek'lor", "Vek'nilash", "Vol'jin", "Well of Eternity", "Wildhammer", "Wrathbringer", "Xavius", "Ysera", "Ysondre", "Zenedar", "Zirkel des Cenarius", "Zul'jin", "Zuluhed", "Азурегос", "Борейская тундра", "Вечная Песня", "Галакронд", "Голдринн", "Гордунни", "Гром", "Дракономор", "Король-лич", "Пиратская бухта", "Подземье", "Разувий", "Ревущий фьорд", "Свежеватель Душ", "Седогрив", "Страж Смерти", "Термоштепсель", "Ткач Смерти", "Черный Шрам", "Ясеневый лес"
        }
        Realms.eu.itIT = {
            "Aegwynn", "Aerie Peak", "Agamaggan", "Aggra", "Aggramar", "Ahn'Qiraj", "Al'Akir", "Alexstrasza", "Alleria", "Alonsus", "Aman'Thul", "Ambossar", "Anachronos", "Anetheron", "Antonidas", "Anub'arak", "Arak-arahm", "Arathi", "Arathor", "Archimonde", "Area 52", "Argent Dawn", "Arthas", "Arygos", "Aszune", "Auchindoun", "Azjol-Nerub", "Azshara", "Azuremyst", "Baelgun", "Balnazzar", "Blackhand", "Blackmoore", "Blackrock", "Blade's Edge", "Bladefist", "Bloodfeather", "Bloodhoof", "Bloodscalp", "Blutkessel", "Boulderfist", "Bronze Dragonflight", "Bronzebeard", "Burning Blade", "Burning Legion", "Burning Steppes", "C'Thun", "Chamber of Aspects", "Chants éternels", "Cho'gall", "Chromaggus", "Colinas Pardas", "Confrérie du Thorium", "Conseil des Ombres", "Crushridge", "Culte de la Rive noire", "Daggerspine", "Dalaran", "Dalvengyr", "Darkmoon Faire", "Darksorrow", "Darkspear", "Das Konsortium", "Das Syndikat", "Deathwing", "Defias Brotherhood", "Dentarg", "Der Mithrilorden", "Der Rat von Dalaran", "Der abyssische Rat", "Destromath", "Dethecus", "Die Aldor", "Die Arguswacht", "Die Nachtwache", "Die Silberne Hand", "Die Todeskrallen", "Die ewige Wacht", "Doomhammer", "Draenor", "Dragonblight", "Dragonmaw", "Drak'thul", "Drek'Thar", "Dun Modr", "Dun Morogh", "Dunemaul", "Durotan", "Earthen Ring", "Echsenkessel", "Eitrigg", "Eldre'Thalas", "Elune", "Emerald Dream", "Emeriss", "Eonar", "Eredar", "Executus", "Exodar", "Festung der Stürme", "Forscherliga", "Frostmane", "Frostmourne", "Frostwhisper", "Frostwolf", "Garona", "Garrosh", "Genjuros", "Ghostlands", "Gilneas", "Gorgonnash", "Grim Batol", "Gul'dan", "Hakkar", "Haomarush", "Hellfire", "Hellscream", "Hyjal", "Illidan", "Jaedenar", "Kael'thas", "Karazhan", "Kargath", "Kazzak", "Kel'Thuzad", "Khadgar", "Khaz Modan", "Khaz'goroth", "Kil'jaeden", "Kilrogg", "Kirin Tor", "Kor'gall", "Krag'jin", "Krasus", "Kul Tiras", "Kult der Verdammten", "La Croisade écarlate", "Laughing Skull", "Les Clairvoyants", "Les Sentinelles", "Lightbringer", "Lightning's Blade", "Lordaeron", "Los Errantes", "Lothar", "Madmortem", "Magtheridon", "Mal'Ganis", "Malfurion", "Malorne", "Malygos", "Mannoroth", "Marécage de Zangar", "Mazrigos", "Medivh", "Minahonda", "Moonglade", "Mug'thol", "Nagrand", "Nathrezim", "Naxxramas", "Nazjatar", "Nefarian", "Nemesis", "Neptulon", "Ner'zhul", "Nera'thor", "Nethersturm", "Nordrassil", "Norgannon", "Nozdormu", "Onyxia", "Outland", "Perenolde", "Pozzo dell'Eternità", "Proudmoore", "Quel'Thalas", "Ragnaros", "Rajaxx", "Rashgarroth", "Ravencrest", "Ravenholdt", "Rexxar", "Runetotem", "Sanguino", "Sargeras", "Saurfang", "Scarshield Legion", "Sen'jin", "Shadowsong", "Shattered Halls", "Shattered Hand", "Shattrath", "Shen'dralar", "Silvermoon", "Sinstralis", "Skullcrusher", "Spinebreaker", "Sporeggar", "Steamwheedle Cartel", "Stormrage", "Stormreaver", "Stormscale", "Sunstrider", "Suramar", "Sylvanas", "Taerar", "Talnivarr", "Tarren Mill", "Teldrassil", "Temple noir", "Terenas", "Terokkar", "Terrordar", "The Maelstrom", "The Sha'tar", "The Venture Co", "Theradras", "Thrall", "Throk'Feroth", "Thunderhorn", "Tichondrius", "Tirion", "Todeswache", "Trollbane", "Turalyon", "Twilight's Hammer", "Twisting Nether", "Tyrande", "Uldaman", "Ulduar", "Uldum", "Un'Goro", "Varimathras", "Vashj", "Vek'lor", "Vek'nilash", "Vol'jin", "Wildhammer", "Wrathbringer", "Xavius", "Ysera", "Ysondre", "Zenedar", "Zirkel des Cenarius", "Zul'jin", "Zuluhed", "Азурегос", "Борейская тундра", "Вечная Песня", "Галакронд", "Голдринн", "Гордунни", "Гром", "Дракономор", "Король-лич", "Пиратская бухта", "Подземье", "Разувий", "Ревущий фьорд", "Свежеватель Душ", "Седогрив", "Страж Смерти", "Термоштепсель", "Ткач Смерти", "Черный Шрам", "Ясеневый лес"
        }
        Realms.kr = {}
        Realms.kr.enUS = {
            "Alexstrasza", "Azshara", "Burning Legion", "Cenarius", "Dalaran", "Deathwing", "Durotan", "Garona", "Gul'dan", "Hellscream", "Hyjal", "Malfurion", "Norgannon", "Rexxar", "Stormrage", "Wildhammer", "Windrunner", "Zul'jin"
        }
        Realms.kr.koKR = {
            "가로나", "굴단", "노르간논", "달라란", "데스윙", "듀로탄", "렉사르", "말퓨리온", "불타는 군단", "세나리우스", "스톰레이지", "아즈샤라", "알렉스트라자", "와일드해머", "윈드러너", "줄진", "하이잘", "헬스크림"
        }
        Realms.kr.frFR = {
            "Alexstrasza", "Azshara", "Burning Legion", "Cenarius", "Dalaran", "Deathwing", "Durotan", "Garona", "Gul'dan", "Hellscream", "Hyjal", "Malfurion", "Norgannon", "Rexxar", "Stormrage", "Wildhammer", "Windrunner", "Zul'jin"
        }
        Realms.kr.deDE = {
            "Alexstrasza", "Azshara", "Burning Legion", "Cenarius", "Dalaran", "Deathwing", "Durotan", "Garona", "Gul'dan", "Hellscream", "Hyjal", "Malfurion", "Norgannon", "Rexxar", "Stormrage", "Wildhammer", "Windrunner", "Zul'jin"
        }
        Realms.kr.zhCN = {
            "古尔丹", "地狱咆哮", "塞纳留斯", "杜隆坦", "死亡之翼", "海加尔", "燃烧军团", "玛法里奥", "祖尔金", "红龙女王", "艾萨拉", "蛮锤", "诺甘农", "达拉然", "迦罗娜", "雷克萨", "风暴之怒", "风行者"
        }
        Realms.kr.esES = {
            "Alexstrasza", "Azshara", "Burning Legion", "Cenarius", "Dalaran", "Deathwing", "Durotan", "Garona", "Gul'dan", "Hellscream", "Hyjal", "Malfurion", "Norgannon", "Rexxar", "Stormrage", "Wildhammer", "Windrunner", "Zul'jin"
        }
        Realms.kr.zhTW = {
            "古爾丹", "地獄吼", "塞納留斯", "怒風", "杜洛坦", "死亡之翼", "海加爾山", "燃燒軍團", "瑪法里恩", "祖爾金", "艾薩拉", "蠻錘", "諾甘農", "迦羅娜", "達拉然", "雅立史卓莎", "雷克薩", "風行者"
        }
        Realms.kr.esMX = {
            "Alexstrasza", "Azshara", "Burning Legion", "Cenarius", "Dalaran", "Deathwing", "Durotan", "Garona", "Gul'dan", "Hellscream", "Hyjal", "Malfurion", "Norgannon", "Rexxar", "Stormrage", "Wildhammer", "Windrunner", "Zul'jin"
        }
        Realms.kr.ruRU = {
            "Alexstrasza", "Azshara", "Burning Legion", "Cenarius", "Dalaran", "Deathwing", "Durotan", "Garona", "Gul'dan", "Hellscream", "Hyjal", "Malfurion", "Norgannon", "Rexxar", "Stormrage", "Wildhammer", "Zul'jin", "Ветрокрылая"
        }
        Realms.kr.ptBR = {
            "Alexstrasza", "Azshara", "Burning Legion", "Cenarius", "Dalaran", "Deathwing", "Durotan", "Garona", "Gul'dan", "Hellscream", "Hyjal", "Malfurion", "Norgannon", "Rexxar", "Stormrage", "Wildhammer", "Windrunner", "Zul'jin"
        }
        Realms.kr.itIT = {
            "Alexstrasza", "Azshara", "Burning Legion", "Cenarius", "Dalaran", "Deathwing", "Durotan", "Garona", "Gul'dan", "Hellscream", "Hyjal", "Malfurion", "Norgannon", "Rexxar", "Stormrage", "Wildhammer", "Windrunner", "Zul'jin"
        }
        Realms.tw = {}
        Realms.tw.enUS = {
            "Arthas", "Arygos", "Bleeding Hollow", "Chillwind Point", "Crystalpine Stinger", "Demon Fall Canyon", "Dragonmaw", "Frostmane", "Hellscream", "Icecrown", "Krol Blade", "Light's Hope", "Menethil", "Nightsong", "Old Blanchy", "Order of the Cloud Serpent", "Quel'dorei", "Shadowmoon", "Silverwing Hold", "Skywall", "Spirestone", "Stormscale", "Sundown Marsh", "Whisperwind", "World Tree", "Wrathbringer", "Zealot Blade"
        }
        Realms.tw.koKR = {
            "Arthas", "Arygos", "Bleeding Hollow", "Chillwind Point", "Crystalpine Stinger", "Demon Fall Canyon", "Dragonmaw", "Frostmane", "Hellscream", "Icecrown", "Krol Blade", "Light's Hope", "Menethil", "Nightsong", "Old Blanchy", "Order of the Cloud Serpent", "Quel'dorei", "Shadowmoon", "Silverwing Hold", "Skywall", "Spirestone", "Stormscale", "Sundown Marsh", "Whisperwind", "World Tree", "Wrathbringer", "Zealot Blade"
        }
        Realms.tw.frFR = {
            "Arthas", "Arygos", "Bleeding Hollow", "Chillwind Point", "Crystalpine Stinger", "Demon Fall Canyon", "Dragonmaw", "Frostmane", "Hellscream", "Icecrown", "Krol Blade", "Light's Hope", "Menethil", "Nightsong", "Old Blanchy", "Order of the Cloud Serpent", "Quel'dorei", "Shadowmoon", "Silverwing Hold", "Skywall", "Spirestone", "Stormscale", "Sundown Marsh", "Whisperwind", "World Tree", "Wrathbringer", "Zealot Blade"
        }
        Realms.tw.deDE = {
            "Arthas", "Arygos", "Bleeding Hollow", "Chillwind Point", "Crystalpine Stinger", "Demon Fall Canyon", "Dragonmaw", "Frostmane", "Hellscream", "Icecrown", "Krol Blade", "Light's Hope", "Menethil", "Nightsong", "Old Blanchy", "Order of the Cloud Serpent", "Quel'dorei", "Shadowmoon", "Silverwing Hold", "Skywall", "Spirestone", "Stormscale", "Sundown Marsh", "Whisperwind", "World Tree", "Wrathbringer", "Zealot Blade"
        }
        Realms.tw.zhCN = {
            "世界之树", "云端翔龙骑士团", "亚雷戈斯", "冰霜之刃", "冰风岗", "圣光之愿", "地狱咆哮", "夜空之歌", "天空之墙", "天罚使者", "奎尔多雷", "寒冰皇冠", "屠魔山谷", "岩石巨塔", "巨龙之吼", "日落沼泽", "暗影之月", "水晶之刺", "狂热之刃", "科罗尔之刃", "米奈希尔", "老马布兰契", "血环", "轻风之语", "银翼要塞", "阿尔萨斯", "风暴之鳞"
        }
        Realms.tw.esES = {
            "Arthas", "Arygos", "Bleeding Hollow", "Chillwind Point", "Crystalpine Stinger", "Demon Fall Canyon", "Dragonmaw", "Frostmane", "Hellscream", "Icecrown", "Krol Blade", "Light's Hope", "Menethil", "Nightsong", "Old Blanchy", "Order of the Cloud Serpent", "Quel'dorei", "Shadowmoon", "Silverwing Hold", "Skywall", "Spirestone", "Stormscale", "Sundown Marsh", "Whisperwind", "World Tree", "Wrathbringer", "Zealot Blade"
        }
        Realms.tw.zhTW = {
            "世界之樹", "亞雷戈斯", "克羅之刃", "冰霜之刺", "冰風崗哨", "地獄吼", "夜空之歌", "天空之牆", "寒冰皇冠", "尖石", "屠魔山谷", "巨龍之喉", "憤怒使者", "日落沼澤", "暗影之月", "水晶之刺", "狂熱之刃", "眾星之子", "米奈希爾", "老馬布蘭契", "聖光之願", "血之谷", "語風", "銀翼要塞", "阿薩斯", "雲蛟衛", "雷鱗"
        }
        Realms.tw.esMX = {
            "Arthas", "Arygos", "Bleeding Hollow", "Chillwind Point", "Crystalpine Stinger", "Demon Fall Canyon", "Dragonmaw", "Frostmane", "Hellscream", "Icecrown", "Krol Blade", "Light's Hope", "Menethil", "Nightsong", "Old Blanchy", "Order of the Cloud Serpent", "Quel'dorei", "Shadowmoon", "Silverwing Hold", "Skywall", "Spirestone", "Stormscale", "Sundown Marsh", "Whisperwind", "World Tree", "Wrathbringer", "Zealot Blade"
        }
        Realms.tw.ruRU = {
            "Arthas", "Arygos", "Bleeding Hollow", "Crystalpine Stinger", "Demon Fall Canyon", "Dragonmaw", "Frostmane", "Hellscream", "Icecrown", "Krol Blade", "Light's Hope", "Menethil", "Nightsong", "Old Blanchy", "Order of the Cloud Serpent", "Quel'dorei", "Shadowmoon", "Silverwing Hold", "Skywall", "Spirestone", "Stormscale", "Sundown Marsh", "Whisperwind", "World Tree", "Wrathbringer", "Zealot Blade", "Берег Промозглого Ветра"
        }
        Realms.tw.ptBR = {
            "Arthas", "Arygos", "Bleeding Hollow", "Chillwind Point", "Crystalpine Stinger", "Demon Fall Canyon", "Dragonmaw", "Frostmane", "Hellscream", "Icecrown", "Krol Blade", "Light's Hope", "Menethil", "Nightsong", "Old Blanchy", "Order of the Cloud Serpent", "Quel'dorei", "Shadowmoon", "Silverwing Hold", "Skywall", "Spirestone", "Stormscale", "Sundown Marsh", "Whisperwind", "World Tree", "Wrathbringer", "Zealot Blade"
        }
        Realms.tw.itIT = {
            "Arthas", "Arygos", "Bleeding Hollow", "Chillwind Point", "Crystalpine Stinger", "Demon Fall Canyon", "Dragonmaw", "Frostmane", "Hellscream", "Icecrown", "Krol Blade", "Light's Hope", "Menethil", "Nightsong", "Old Blanchy", "Order of the Cloud Serpent", "Quel'dorei", "Shadowmoon", "Silverwing Hold", "Skywall", "Spirestone", "Stormscale", "Sundown Marsh", "Whisperwind", "World Tree", "Wrathbringer", "Zealot Blade"
        }
    elseif GRM.GameVersion() == "CATA" then

        Realms.us = {}
        Realms.us.enUS = {
            "Angerforge", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bloodsail Buccaneers", "Earthfury", "Eranikus", "Faerlina", "Grobbulus", "Maladath", "Mankrik", "Myzrael", "Old Blanchy", "Pagle", "Remulos", "Skyfury", "Sulfuras", "Westfall", "Whitemane", "Windseeker", "Yojamba"
        }
        Realms.us.koKR = {
            "Angerforge", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bloodsail Buccaneers", "Earthfury", "Eranikus", "Faerlina", "Grobbulus", "Maladath", "Mankrik", "Myzrael", "Old Blanchy", "Pagle", "Remulos", "Skyfury", "Sulfuras", "Westfall", "Whitemane", "Windseeker", "Yojamba"
        }
        Realms.us.frFR = {
            "Angerforge", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bloodsail Buccaneers", "Earthfury", "Eranikus", "Faerlina", "Grobbulus", "Maladath", "Mankrik", "Myzrael", "Old Blanchy", "Pagle", "Remulos", "Skyfury", "Sulfuras", "Westfall", "Whitemane", "Windseeker", "Yojamba"
        }
        Realms.us.deDE = {
            "Angerforge", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bloodsail Buccaneers", "Earthfury", "Eranikus", "Faerlina", "Grobbulus", "Maladath", "Mankrik", "Myzrael", "Old Blanchy", "Pagle", "Remulos", "Skyfury", "Sulfuras", "Westfall", "Whitemane", "Windseeker", "Yojamba"
        }
        Realms.us.zhCN = {
            "伊兰尼库斯", "埃提耶什", "大地之怒", "天怒", "密斯莱尔", "尤亚姆巴", "帕格", "怀特迈恩", "怒炉", "曼科里克", "格罗布鲁斯", "法琳娜", "玛拉达斯", "碧空之歌", "祈福", "老马布兰契", "萨弗拉斯", "血帆海盗", "西部荒野", "逐风者", "阿什坎迪", "阿鲁高", "雷姆洛斯"
        }
        Realms.us.esES = {
            "Angerforge", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bloodsail Buccaneers", "Earthfury", "Eranikus", "Faerlina", "Grobbulus", "Maladath", "Mankrik", "Myzrael", "Old Blanchy", "Pagle", "Remulos", "Skyfury", "Sulfuras", "Westfall", "Whitemane", "Windseeker", "Yojamba"
        }
        Realms.us.zhTW = {
            "伊蘭尼庫斯", "大地之怒", "天怒", "安格弗", "密斯賴爾", "尤亞姆巴", "帕格", "懷特邁恩", "曼寇里克", "瑪拉達斯", "碧空之歌", "祈福", "老馬布蘭契", "葛羅巴斯", "薩弗拉斯", "血帆海盜", "西部荒野", "費琳娜", "逐風者", "阿什坎迪", "阿泰絲", "阿魯高", "雷姆洛斯"
        }
        Realms.us.esMX = {
            "Angerforge", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bloodsail Buccaneers", "Earthfury", "Eranikus", "Faerlina", "Grobbulus", "Maladath", "Mankrik", "Myzrael", "Old Blanchy", "Pagle", "Remulos", "Skyfury", "Sulfuras", "Westfall", "Whitemane", "Windseeker", "Yojamba"
        }
        Realms.us.ruRU = {
            "Anathema", "Angerforge", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bloodsail Buccaneers", "Earthfury", "Eranikus", "Faerlina", "Grobbulus", "Heartseeker", "Mankrik", "Myzrael", "Nightslayer", "Old Blanchy", "Pagle", "Remulos", "Westfall", "Whitemane", "Windseeker", "Yojamba"
        }
        Realms.us.ptBR = {
            "Angerforge", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bloodsail Buccaneers", "Earthfury", "Eranikus", "Faerlina", "Grobbulus", "Maladath", "Mankrik", "Myzrael", "Old Blanchy", "Pagle", "Remulos", "Skyfury", "Sulfuras", "Westfall", "Whitemane", "Windseeker", "Yojamba"
        }
        Realms.us.itIT = {
            "Angerforge", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bloodsail Buccaneers", "Earthfury", "Eranikus", "Faerlina", "Grobbulus", "Maladath", "Mankrik", "Myzrael", "Old Blanchy", "Pagle", "Remulos", "Skyfury", "Sulfuras", "Westfall", "Whitemane", "Windseeker", "Yojamba"
        }
        Realms.eu = {}
        Realms.eu.enUS = {
            "Amnennar", "Ashbringer", "Auberdine", "Chromie", "Earthshaker", "Everlook", "Firemaw", "Flamegor", "Gehennas", "Giantstalker", "Golemagg", "Hydraxian Waterlords", "Jin'do", "Lakeshire", "Mandokir", "Mirage Raceway", "Mograine", "Nethergarde Keep", "Patchwerk", "Pyrewood Village", "Razorfen", "Sulfuron", "Thekal", "Transcendence", "Venoxis"
        }
        Realms.eu.koKR = {
            "Amnennar", "Ashbringer", "Auberdine", "Chromie", "Earthshaker", "Everlook", "Firemaw", "Flamegor", "Gehennas", "Giantstalker", "Golemagg", "Hydraxian Waterlords", "Jin'do", "Lakeshire", "Mandokir", "Mirage Raceway", "Mograine", "Nethergarde Keep", "Patchwerk", "Pyrewood Village", "Razorfen", "Sulfuron", "Thekal", "Transcendence", "Venoxis"
        }
        Realms.eu.frFR = {
            "Amnennar", "Ashbringer", "Auberdine", "Chromie", "Earthshaker", "Everlook", "Firemaw", "Flamegor", "Gehennas", "Giantstalker", "Golemagg", "Hydraxian Waterlords", "Jin'do", "Lakeshire", "Mandokir", "Mirage Raceway", "Mograine", "Nethergarde Keep", "Patchwerk", "Pyrewood Village", "Razorfen", "Sulfuron", "Thekal", "Transcendence", "Venoxis"
        }
        Realms.eu.deDE = {
            "Amnennar", "Ashbringer", "Auberdine", "Earthshaker", "Everlook", "Firemaw", "Gehennas", "Giantstalker", "Golemagg", "Hydraxian Waterlords", "Jin'do", "Lakeshire", "Mandokir", "Mirage Raceway", "Mograine", "Nethergarde Keep", "Patchwerk", "Pyrewood Village", "Razorfen", "Sulfuron", "Thekal", "Transcendence", "Venoxis", "Пламегор", "Хроми"
        }
        Realms.eu.zhCN = {
            "亚门纳尔", "克罗米", "剃刀", "卓越", "古雷曼格", "基赫纳斯", "塞卡尔", "奥伯丁", "守望堡", "巨人追猎者", "帕奇维克", "弗莱格尔", "曼多基尔", "永望镇", "沙漠赛道", "海达希亚水元素", "温诺希斯", "湖畔镇", "灰烬使者", "焚木村", "莫格莱尼", "萨弗隆", "费尔默", "金度", "震地者"
        }
        Realms.eu.esES = {
            "Amnennar", "Ashbringer", "Auberdine", "Chromie", "Earthshaker", "Everlook", "Firemaw", "Flamegor", "Gehennas", "Giantstalker", "Golemagg", "Hydraxian Waterlords", "Jin'do", "Lakeshire", "Mandokir", "Mirage Raceway", "Mograine", "Nethergarde Keep", "Patchwerk", "Pyrewood Village", "Razorfen", "Sulfuron", "Thekal", "Transcendence", "Venoxis"
        }
        Realms.eu.zhTW = {
            "亞門納爾", "克羅米", "剃刀高地", "古雷曼格", "基赫納斯", "塞卡爾", "奧伯丁", "守望堡", "巨人巡者", "弗萊格爾", "曼多基爾", "永望鎮", "沙漠賽道", "海達希亞水元素", "湖畔鎮", "溫諾希斯", "灰燼使者", "焚木村", "縫補者", "莫格萊尼", "薩弗隆", "費爾默", "超凡入聖", "金度", "震地者"
        }
        Realms.eu.esMX = {
            "Amnennar", "Ashbringer", "Auberdine", "Chromie", "Earthshaker", "Everlook", "Firemaw", "Flamegor", "Gehennas", "Giantstalker", "Golemagg", "Hydraxian Waterlords", "Jin'do", "Lakeshire", "Mandokir", "Mirage Raceway", "Mograine", "Nethergarde Keep", "Patchwerk", "Pyrewood Village", "Razorfen", "Sulfuron", "Thekal", "Transcendence", "Venoxis"
        }
        Realms.eu.ruRU = {
            "Amnennar", "Auberdine", "Everlook", "Firemaw", "Gehennas", "Giantstalker", "Golemagg", "Hydraxian Waterlords", "Jin'do", "Mandokir", "Mirage Raceway", "Mograine", "Nethergarde Keep", "Patchwerk", "Pyrewood Village", "Razorfen", "Sulfuron", "Thekal", "Venoxis", "Землекрушитель", "Испепелитель", "Пламегор", "Превосходство", "Приозерье", "Хроми"
        }
        Realms.eu.ptBR = {
            "Amnennar", "Ashbringer", "Auberdine", "Chromie", "Earthshaker", "Everlook", "Firemaw", "Flamegor", "Geena", "Giantstalker", "Golemagg", "Hydraxian Waterlords", "Jin'do", "Lakeshire", "Mandokir", "Mirage Raceway", "Mograine", "Nethergarde Keep", "Patchwerk", "Pyrewood Village", "Razorfen", "Sulfuron", "Thekal", "Transcendence", "Venoxis"
        }
        Realms.eu.itIT = {
            "Amnennar", "Ashbringer", "Auberdine", "Chromie", "Earthshaker", "Everlook", "Firemaw", "Flamegor", "Gehennas", "Giantstalker", "Golemagg", "Hydraxian Waterlords", "Jin'do", "Lakeshire", "Mandokir", "Mirage Raceway", "Mograine", "Nethergarde Keep", "Patchwerk", "Pyrewood Village", "Razorfen", "Sulfuron", "Thekal", "Transcendence", "Venoxis"
        }
        Realms.kr = {}
        Realms.kr.enUS = {
            "Frostmourne", "Iceblood", "Lokholar", "Ragnaros", "Shimmering Flats"
        }
        Realms.kr.koKR = {
            "라그나로스", "로크홀라", "서리한", "소금 평원", "얼음피"
        }
        Realms.kr.frFR = {
            "Frostmourne", "라그나로스", "로크홀라", "소금 평원", "얼음피"
        }
        Realms.kr.deDE = {
            "Frostmourne", "Iceblood", "Lokholar", "Ragnaros", "Shimmering Flats"
        }
        Realms.kr.zhCN = {
            "冰血", "拉格纳罗斯", "洛克霍拉", "闪光平原", "霜之哀伤"
        }
        Realms.kr.esES = {
            "Agonía de Escarcha", "Iceblood", "Lokholar", "Ragnaros", "Shimmering Flats"
        }
        Realms.kr.zhTW = {
            "冰血", "拉格納羅斯", "洛克霍拉", "閃光平原", "霜之哀傷"
        }
        Realms.kr.esMX = {
            "Frostmourne", "Iceblood", "Lokholar", "Ragnaros", "Shimmering Flats"
        }
        Realms.kr.ruRU = {
            "Iceblood", "Lokholar", "Ragnaros", "Shimmering Flats", "Ледяная Скорбь"
        }
        Realms.kr.ptBR = {
            "Gélido Lamento", "Iceblood", "Lokholar", "Ragnaros", "Shimmering Flats"
        }
        Realms.kr.itIT = {
            "Gelidanima", "Iceblood", "Lokholar", "Ragnaros", "Shimmering Flats"
        }
        Realms.tw = {}
        Realms.tw.enUS = {
            "Arathi Basin", "Golemagg", "Ivus", "Maraudon", "Murloc", "Windseeker", "Wushoolay", "Zeliek"
        }
        Realms.tw.koKR = {
            "Arathi Basin", "Golemagg", "Ivus", "Maraudon", "Murloc", "Windseeker", "Wushoolay", "Zeliek"
        }
        Realms.tw.frFR = {
            "Arathi Basin", "Golemagg", "Ivus", "Maraudon", "Murloc", "Windseeker", "Wushoolay", "Zeliek"
        }
        Realms.tw.deDE = {
            "Arathi Basin", "Golemagg", "Murloc", "Windseeker", "伊弗斯", "札里克", "烏蘇雷", "瑪拉頓"
        }
        Realms.tw.zhCN = {
            "乌苏雷", "伊弗斯", "古雷曼格", "玛拉顿", "瑟里耶克", "逐风者", "阿拉希盆地", "鱼人"
        }
        Realms.tw.esES = {
            "Arathi Basin", "Golemagg", "Ivus", "Maraudon", "Murloc", "Windseeker", "Wushoolay", "Zeliek"
        }
        Realms.tw.zhTW = {
            "伊弗斯", "古雷曼格", "札里克", "烏蘇雷", "瑪拉頓", "逐風者", "阿拉希盆地", "魚人"
        }
        Realms.tw.esMX = {
            "Arathi Basin", "Golemagg", "Ivus", "Maraudon", "Murloc", "Windseeker", "Wushoolay", "Zeliek"
        }
        Realms.tw.ruRU = {
            "Arathi Basin", "Golemagg", "Ivus", "Maraudon", "Murloc", "Windseeker", "Wushoolay", "Zeliek"
        }
        Realms.tw.ptBR = {
            "Arathi Basin", "Golemagg", "Ivus", "Maraudon", "Murloc", "Windseeker", "Wushoolay", "Zeliek"
        }
        Realms.tw.itIT = {
            "Arathi Basin", "Golemagg", "Ivus", "Maraudon", "Murloc", "Windseeker", "Wushoolay", "Zeliek"
        }
    elseif GRM.GameVersion() == "CLASSICERA" then

        Realms.us = {}
        Realms.us.enUS = {
            "Anathema", "Arcanite Reaper", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bigglesworth", "Blaumeux", "Bloodsail Buccaneers", "Chaos Bolt", "Crusader Strike", "Defias Pillager", "Devastate", "Deviate Delight", "Doomhowl", "Dreamscythe", "Earthfury", "Faerlina", "Fairbanks", "Felstriker", "Grobbulus", "Heartseeker", "Herod", "Incendius", "Kirtonos", "Kromcrush", "Kurinnaxx", "Lava Lash", "Living Flame", "Loatheb", "Lone Wolf", "Maladath", "Mankrik", "Myzrael", "Netherwind", "Nightslayer", "Old Blanchy", "Pagle", "Penance", "Rattlegore", "Remulos", "Shadowstrike", "Skeram", "Skull Rock", "Smolderweb", "Stalagg", "Sul'thraze", "Sulfuras", "Thalnos", "Thunderfury", "Vagash", "Westfall", "Whitemane", "Wild Growth", "Windseeker", "Yojamba"
        }
        Realms.us.koKR = {
            "Anathema", "Arcanite Reaper", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bigglesworth", "Blaumeux", "Bloodsail Buccaneers", "Deviate Delight", "Earthfury", "Faerlina", "Fairbanks", "Felstriker", "Grobbulus", "Heartseeker", "Herod", "Incendius", "Kirtonos", "Kromcrush", "Kurinnaxx", "Loatheb", "Mankrik", "Myzrael", "Netherwind", "Old Blanchy", "Pagle", "Rattlegore", "Remulos", "Skeram", "Smolderweb", "Stalagg", "Sul'thraze", "Sulfuras", "Thalnos", "Thunderfury", "Westfall", "Whitemane", "Windseeker", "Yojamba", "고독한 늑대", "그림자 일격", "급속 성장", "데피아즈단 강탈자", "바가쉬", "살아있는 불꽃", "성전사의 일격", "압도", "용암 채찍", "해골 바위굴", "혼돈의 화살", "회개"
        }
        Realms.us.frFR = {
            "Anathema", "Arcanite Reaper", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bigglesworth", "Blaumeux", "Bloodsail Buccaneers", "Chaos Bolt", "Crusader Strike", "Devastate", "Deviate Delight", "Earthfury", "Faerlina", "Fairbanks", "Felstriker", "Grobbulus", "Heartseeker", "Herod", "Incendius", "Kirtonos", "Kromcrush", "Kurinnaxx", "Lava Lash", "Living Flame", "Loatheb", "Lone Wolf", "Mankrik", "Myzrael", "Netherwind", "Old Blanchy", "Pagle", "Penance", "Pilleur défias", "Rattlegore", "Remulos", "Shadowstrike", "Skeram", "Skull Rock", "Smolderweb", "Stalagg", "Sul'thraze", "Sulfuras", "Thalnos", "Thunderfury", "Vagash", "Westfall", "Whitemane", "Wild Growth", "Windseeker", "Yojamba"
        }
        Realms.us.deDE = {
            "Anathema", "Arcanite Reaper", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bigglesworth", "Blaumeux", "Bloodsail Buccaneers", "Chaos Bolt", "Crusader Strike", "Devastate", "Deviate Delight", "Earthfury", "Faerlina", "Fairbanks", "Felstriker", "Grobbulus", "Heartseeker", "Herod", "Incendius", "Kirtonos", "Kromcrush", "Kurinnaxx", "Lava Lash", "Living Flame", "Loatheb", "Lone Wolf", "Mankrik", "Myzrael", "Netherwind", "Old Blanchy", "Pagle", "Penance", "Plünderer der Defias", "Rattlegore", "Remulos", "Shadowstrike", "Skeram", "Skull Rock", "Smolderweb", "Stalagg", "Sul'thraze", "Sulfuras", "Thalnos", "Thunderfury", "Vagash", "Westfall", "Whitemane", "Wild Growth", "Windseeker", "Yojamba"
        }
        Realms.us.zhCN = {
            "伊森迪奥斯", "克罗卡斯", "十字军打击", "咒逐", "埃提耶什", "基尔图诺斯", "大地之怒", "奥金斧", "密斯莱尔", "尤亚姆巴", "布劳缪克丝", "帕格", "库林纳克斯", "怀特迈恩", "恶魔之击", "斯克拉姆", "斯塔拉格", "暗影打击（澳洲）", "曼科里克", "格罗布鲁斯", "毁灭打击", "比格沃斯", "法尔班克斯", "法琳娜", "洛欧塞布", "活化烈焰", "混乱之箭", "灵风", "烟网", "熔岩猛击", "独来独往", "玛拉达斯（AU）", "瓦加什", "碧空之歌", "祈福", "美味风蛇", "老马布兰契", "苏萨斯", "苦修（澳洲）", "萨尔诺斯", "萨弗拉斯", "血帆海盗", "血骨傀儡", "西部荒野", "觅心者", "赫洛德", "迪菲亚抢劫者", "逐风者", "野性成长", "阿什坎迪", "阿鲁高", "雷姆洛斯", "雷霆之怒", "骷髅石"
        }
        Realms.us.esES = {
            "Anathema", "Arcanite Reaper", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bigglesworth", "Blaumeux", "Bloodsail Buccaneers", "Chaos Bolt", "Crusader Strike", "Defias Pillager", "Devastate", "Deviate Delight", "Earthfury", "Faerlina", "Fairbanks", "Felstriker", "Grobbulus", "Heartseeker", "Herod", "Incendius", "Kirtonos", "Kromcrush", "Kurinnaxx", "Lava Lash", "Living Flame", "Loatheb", "Lone Wolf", "Mankrik", "Myzrael", "Netherwind", "Old Blanchy", "Pagle", "Penance", "Rattlegore", "Remulos", "Shadowstrike", "Skeram", "Skull Rock", "Smolderweb", "Stalagg", "Sul'thraze", "Sulfuras", "Thalnos", "Thunderfury", "Vagash", "Westfall", "Whitemane", "Wild Growth", "Windseeker", "Yojamba"
        }
        Realms.us.zhTW = {
            "伊森迪奧斯", "克羅卡斯", "十字軍聖擊", "咒逐", "基爾圖諾斯", "大地震怒", "奧金收割斧", "孤狼", "密斯賴爾", "尋心者", "尤亞姆巴", "布洛莫斯", "帕格", "庫林納克斯", "惡魔之擊", "憎恨者", "懷特邁恩", "懺悟", "挫敗", "斯克拉姆", "斯塔拉格", "暗影打擊", "曼寇里克", "法爾班克斯", "混沌箭", "煙網蛛后", "熔岩暴擊", "瓦加什", "生命烈焰", "畢勾沃斯", "碧空之歌", "祈福", "老馬布蘭契", "葛羅巴斯", "薩弗拉斯", "薩爾諾斯", "蘇薩斯", "血帆海盜", "血骨傀儡", "西部荒野", "變異點心", "費琳娜", "赫洛德", "迪菲亞掠取者", "逐風者", "野性痊癒", "阿什坎迪", "阿泰絲", "阿魯高", "雷姆洛斯", "雷霆之怒", "靈風", "骷髏石"
        }
        Realms.us.esMX = {
            "Anathema", "Arcanite Reaper", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bigglesworth", "Blaumeux", "Bloodsail Buccaneers", "Defias Pillager", "Deviate Delight", "Earthfury", "Faerlina", "Fairbanks", "Felstriker", "Grobbulus", "Heartseeker", "Herod", "Incendius", "Kirtonos", "Kromcrush", "Kurinnaxx", "Loatheb", "Mankrik", "Myzrael", "Netherwind", "Old Blanchy", "Pagle", "Penance", "Rattlegore", "Remulos", "Shadowstrike", "Skeram", "Skull Rock", "Smolderweb", "Stalagg", "Sul'thraze", "Sulfuras", "Thalnos", "Thunderfury", "Vagash", "Westfall", "Whitemane", "Windseeker", "Yojamba"
        }
        Realms.us.ruRU = {
            "Anathema", "Arcanite Reaper", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bigglesworth", "Blaumeux", "Bloodsail Buccaneers", "Defias Pillager", "Deviate Delight", "Earthfury", "Faerlina", "Fairbanks", "Felstriker", "Grobbulus", "Heartseeker", "Herod", "Incendius", "Kirtonos", "Kromcrush", "Kurinnaxx", "Loatheb", "Mankrik", "Myzrael", "Netherwind", "Old Blanchy", "Pagle", "Penance", "Rattlegore", "Remulos", "Shadowstrike", "Skeram", "Skull Rock", "Smolderweb", "Stalagg", "Sul'thraze", "Sulfuras", "Thalnos", "Thunderfury", "Vagash", "Westfall", "Whitemane", "Windseeker", "Yojamba", "Буйный рост", "Вскипание лавы", "Живой жар", "Одинокий волк", "Сокрушение", "Стрела Хаоса", "Удар воина Света"
        }
        Realms.us.ptBR = {
            "Anathema", "Arcanite Reaper", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bigglesworth", "Blaumeux", "Bloodsail Buccaneers", "Chaos Bolt", "Crusader Strike", "Defias Pillager", "Devastate", "Deviate Delight", "Earthfury", "Faerlina", "Fairbanks", "Felstriker", "Grobbulus", "Heartseeker", "Herod", "Incendius", "Kirtonos", "Kromcrush", "Kurinnaxx", "Lava Lash", "Living Flame", "Loatheb", "Lone Wolf", "Mankrik", "Myzrael", "Netherwind", "Old Blanchy", "Pagle", "Penance", "Rattlegore", "Remulos", "Shadowstrike", "Skeram", "Skull Rock", "Smolderweb", "Stalagg", "Sul'thraze", "Sulfuras", "Thalnos", "Thunderfury", "Vagash", "Westfall", "Whitemane", "Wild Growth", "Windseeker", "Yojamba"
        }
        Realms.us.itIT = {
            "Anathema", "Arcanite Reaper", "Arugal", "Ashkandi", "Atiesh", "Azuresong", "Benediction", "Bigglesworth", "Blaumeux", "Bloodsail Buccaneers", "Chaos Bolt", "Crusader Strike", "Defias Pillager", "Devastate", "Deviate Delight", "Earthfury", "Faerlina", "Fairbanks", "Felstriker", "Grobbulus", "Heartseeker", "Herod", "Incendius", "Kirtonos", "Kromcrush", "Kurinnaxx", "Lava Lash", "Living Flame", "Loatheb", "Lone Wolf", "Mankrik", "Myzrael", "Netherwind", "Old Blanchy", "Pagle", "Penance", "Rattlegore", "Remulos", "Shadowstrike", "Skeram", "Skull Rock", "Smolderweb", "Stalagg", "Sul'thraze", "Sulfuras", "Thalnos", "Thunderfury", "Vagash", "Westfall", "Whitemane", "Wild Growth", "Windseeker", "Yojamba"
        }
        Realms.eu = {}
        Realms.eu.enUS = {
            "Amnennar", "Anniversary", "Ashbringer", "Auberdine", "Bloodfang", "Celebras", "Chaos Bolt", "Chromie", "Crusader Strike", "Devastate", "Dragon's Call", "Dragonfang", "Dreadmist", "Earthshaker", "Everlook", "Finkle", "Firemaw", "Flamegor", "Flamelash", "Gandling", "Gehennas", "Golemagg", "Harbinger of Doom", "Heartstriker", "Hydraxian Waterlords", "Judgement", "Lakeshire", "Lava Lash", "Living Flame", "Lone Wolf", "Lucifron", "Mandokir", "Mirage Raceway", "Mograine", "Nek'Rosh", "Nethergarde Keep", "Noggenfogger", "Noxxion", "Patchwerk", "Penance", "Pyrewood Village", "Razorfen", "Razorgore", "Rhok'delar", "Shadowstrike", "Shazzrah", "Skullflame", "Soulseeker", "Spineshatter", "Stitches", "Stonespine", "Sulfuron", "Ten Storms", "Thunderstrike", "Transcendence", "Venoxis", "Wild Growth", "Wyrmthalak", "Zandalar Tribe"
        }
        Realms.eu.koKR = {
            "Amnennar", "Ashbringer", "Auberdine", "Bloodfang", "Celebras", "Chromie", "Dragon's Call", "Dragonfang", "Dreadmist", "Earthshaker", "Everlook", "Finkle", "Firemaw", "Flamegor", "Flamelash", "Gandling", "Gehennas", "Golemagg", "Harbinger of Doom", "Heartstriker", "Hydraxian Waterlords", "Judgement", "Lakeshire", "Lucifron", "Mandokir", "Mirage Raceway", "Mograine", "Nethergarde Keep", "Noggenfogger", "Noxxion", "Patchwerk", "Pyrewood Village", "Razorfen", "Razorgore", "Rhok'delar", "Shazzrah", "Skullflame", "Stonespine", "Sulfuron", "Ten Storms", "Transcendence", "Venoxis", "Wyrmthalak", "Zandalar Tribe", "고독한 늑대", "그림자 일격", "급속 성장", "네크로쉬", "누더기", "살아있는 불꽃", "성전사의 일격", "압도", "용암 채찍", "혼돈의 화살", "회개"
        }
        Realms.eu.frFR = {
            "Amnennar", "Ashbringer", "Auberdine", "Bloodfang", "Celebras", "Chaos Bolt", "Crusader Strike", "Devastate", "Dragonfang", "Dreadmist", "Earthshaker", "Ewige Warte", "Finkle", "Firemaw", "Flamelash", "Flickwerk", "Gandling", "Gehennas", "Golemagg", "Großdrachenruf", "Herzensbrecher", "Hydraxian Waterlords", "Judgement", "Klingenhauer", "Lava Lash", "Living Flame", "Lone Wolf", "Lucifron", "Mandokir", "Mirage Raceway", "Mograine", "Nek'Rosh", "Nethergarde Keep", "Noggenfogger", "Noxxion", "Penance", "Pyrewood Village", "Razorgore", "Seenhain", "Shadowstrike", "Shazzrah", "Skullflame", "Stitches", "Stonespine", "Sulfuron", "Ten Storms", "Tranzendenz", "Venoxis", "Wild Growth", "Zandalar Tribe", "Вестник Рока", "Змейталак", "Пламегор", "Рок-Делар", "Хроми"
        }
        Realms.eu.deDE = {
            "Amnennar", "Ashbringer", "Auberdine", "Bloodfang", "Celebras", "Chaos Bolt", "Chromie", "Crusader Strike", "Devastate", "Dragon's Call", "Dragonfang", "Dreadmist", "Earthshaker", "Everlook", "Finkle", "Firemaw", "Flamegor", "Flamelash", "Gandling", "Gehennas", "Golemagg", "Harbinger of Doom", "Heartstriker", "Hydraxian Waterlords", "Judgement", "Lakeshire", "Lava Lash", "Living Flame", "Lone Wolf", "Lucifron", "Mandokir", "Mirage Raceway", "Mograine", "Nek'Rosh", "Nethergarde Keep", "Noggenfogger", "Noxxion", "Patchwerk", "Penance", "Pyrewood Village", "Razorfen", "Razorgore", "Rhok'delar", "Shadowstrike", "Shazzrah", "Skullflame", "Stitches", "Stonespine", "Sulfuron", "Ten Storms", "Transcendence", "Venoxis", "Wild Growth", "Wyrmthalak", "Zandalar Tribe"
        }
        Realms.eu.zhCN = {
            "亚门纳尔", "伦鲁迪洛尔", "克罗米", "击心者", "剃刀", "加丁", "十字军打击", "卓越", "古雷曼格", "基赫纳斯", "塞雷布拉斯", "奥伯丁", "守望堡", "审判", "帕奇维克", "弗莱拉斯", "弗莱格尔", "拉佐格尔", "无尽风暴", "暗影打击（赛季）", "曼多基尔", "末日先驱", "毁灭打击", "永望镇", "沙斯拉尔", "沙漠赛道", "活化烈焰", "海达希亚水元素", "混乱之箭", "温诺希斯", "湖畔镇", "灰烬使者", "焚木村", "熔岩猛击", "独来独往", "石脊", "纳克罗什", "维姆萨拉克", "缝合怪", "芬克", "苦修（赛季）", "莫格莱尼", "萨弗隆", "血牙", "诺克赛恩", "诺格弗格", "费尔默", "赞达拉部族", "野性成长", "震地者", "骨火", "鬼雾", "鲁西弗隆", "龙之召唤", "龙牙"
        }
        Realms.eu.esES = {
            "Amnennar", "Ashbringer", "Auberdine", "Bloodfang", "Celebras", "Chaos Bolt", "Chromie", "Crusader Strike", "Devastate", "Dragonfang", "Dreadmist", "Earthshaker", "Ewige Warte", "Finkle", "Firemaw", "Flamegor", "Flamelash", "Flickwerk", "Gandling", "Gehennas", "Golemagg", "Großdrachenruf", "Harbinger of Doom", "Herzensbrecher", "Hydraxian Waterlords", "Judgement", "Klingenhauer", "Lava Lash", "Living Flame", "Lone Wolf", "Lucifron", "Mandokir", "Mirage Raceway", "Mograine", "Nek'Rosh", "Nethergarde Keep", "Noggenfogger", "Noxxion", "Penance", "Pyrewood Village", "Razorgore", "Rhok'delar", "Seenhain", "Shadowstrike", "Shazzrah", "Skullflame", "Stitches", "Stonespine", "Sulfuron", "Ten Storms", "Tranzendenz", "Venoxis", "Wild Growth", "Wyrmthalak", "Zandalar Tribe"
        }
        Realms.eu.zhTW = {
            "亞門納爾", "克羅米", "剃刀高地", "加丁", "十字軍聖擊", "厄運預言者", "古雷曼格", "基赫納斯", "塞雷布拉斯", "奈克羅許", "奧伯丁", "孤狼", "守望堡", "審判", "弗萊格爾", "懺悟", "拉佐格爾", "挫敗", "擊心者", "暗影打擊", "曼多基爾", "永望鎮", "沙斯拉爾", "沙漠賽道", "洛克德拉爾", "海達希亞水元素", "混沌箭", "湖畔鎮", "溫諾希斯", "灰燼使者", "焚木村", "無盡風暴", "熔岩暴擊", "熾炎擊", "生命烈焰", "石脊", "維姆薩拉克", "縫合怪", "縫補者", "芬克", "莫格萊尼", "薩弗隆", "血牙", "諾克賽恩", "諾格弗格", "費爾默", "贊達拉部族", "超凡入聖", "野性痊癒", "震地者", "骨火", "鬼霧峰", "魯西弗隆", "龍之召喚", "龍牙"
        }
        Realms.eu.esMX = {
            "Amnennar", "Ashbringer", "Auberdine", "Bloodfang", "Celebras", "Chromie", "Dragon's Call", "Dragonfang", "Dreadmist", "Earthshaker", "Everlook", "Finkle", "Firemaw", "Flamegor", "Flamelash", "Gandling", "Gehennas", "Golemagg", "Harbinger of Doom", "Heartstriker", "Hydraxian Waterlords", "Judgement", "Lakeshire", "Lucifron", "Mandokir", "Mirage Raceway", "Mograine", "Nek'Rosh", "Nethergarde Keep", "Noggenfogger", "Noxxion", "Patchwerk", "Penance", "Pyrewood Village", "Razorfen", "Razorgore", "Rhok'delar", "Shadowstrike", "Shazzrah", "Skullflame", "Stitches", "Stonespine", "Sulfuron", "Ten Storms", "Transcendence", "Venoxis", "Wyrmthalak", "Zandalar Tribe"
        }
        Realms.eu.ruRU = {
            "Amnennar", "Ashbringer", "Auberdine", "Bloodfang", "Celebras", "Dragonfang", "Dreadmist", "Earthshaker", "Ewige Warte", "Finkle", "Firemaw", "Flamelash", "Flickwerk", "Gandling", "Gehennas", "Golemagg", "Großdrachenruf", "Herzensbrecher", "Hydraxian Waterlords", "Judgement", "Klingenhauer", "Lucifron", "Mandokir", "Mirage Raceway", "Mograine", "Nek'Rosh", "Nethergarde Keep", "Noggenfogger", "Noxxion", "Pyrewood Village", "Razorgore", "Seenhain", "Shazzrah", "Skullflame", "Stitches", "Stonespine", "Sulfuron", "Ten Storms", "Tranzendenz", "Venoxis", "Zandalar Tribe", "Буйный рост", "Вестник Рока", "Вскипание лавы", "Живой жар", "Змейталак", "Исповедь", "Одинокий волк", "Пламегор", "Рок-Делар", "Сокрушение", "Стрела Хаоса", "Удар Тьмы", "Удар воина Света", "Хроми"
        }
        Realms.eu.ptBR = {
            "Amnennar", "Ashbringer", "Auberdine", "Bloodfang", "Celebras", "Chaos Bolt", "Chromie", "Crusader Strike", "Devastate", "Dragon's Call", "Dragonfang", "Dreadmist", "Earthshaker", "Everlook", "Finkle", "Firemaw", "Flamegor", "Flamelash", "Gandling", "Geena", "Golemagg", "Harbinger of Doom", "Heartstriker", "Hydraxian Waterlords", "Judgement", "Lakeshire", "Lava Lash", "Living Flame", "Lone Wolf", "Lucifron", "Mandokir", "Mirage Raceway", "Mograine", "Nek'Rosh", "Nethergarde Keep", "Noggenfogger", "Noxxion", "Patchwerk", "Penance", "Pyrewood Village", "Razorfen", "Razorgore", "Rhok'delar", "Shadowstrike", "Shazzrah", "Skullflame", "Stitches", "Stonespine", "Sulfuron", "Ten Storms", "Transcendence", "Venoxis", "Wild Growth", "Wyrmthalak", "Zandalar Tribe"
        }
        Realms.eu.itIT = {
            "Amnennar", "Ashbringer", "Auberdine", "Bloodfang", "Celebras", "Chaos Bolt", "Chromie", "Crusader Strike", "Dragonfang", "Dreadmist", "Earthshaker", "Ewige Warte", "Finkle", "Firemaw", "Flamegor", "Flamelash", "Flickwerk", "Gandling", "Gehennas", "Golemagg", "Großdrachenruf", "Harbinger of Doom", "Herzensbrecher", "Hydraxian Waterlords", "Judgement", "Klingenhauer", "Lava Lash", "Living Flame", "Lone Wolf", "Lucifron", "Mandokir", "Mirage Raceway", "Mograine", "Nek'Rosh", "Nethergarde Keep", "Noggenfogger", "Noxxion", "Penance", "Pyrewood Village", "Razorgore", "Rhok'delar", "Seenhain", "Sfondamento", "Shadowstrike", "Shazzrah", "Skullflame", "Stitches", "Stonespine", "Sulfuron", "Ten Storms", "Tranzendenz", "Venoxis", "Wild Growth", "Wyrmthalak", "Zandalar Tribe"
        }
        Realms.kr = {}
        Realms.kr.enUS = {
            "Hillsbrad", "Iceblood", "Lokholar", "Lone Wolf", "Mak'gora", "Ragnaros", "Shimmering Flats", "Wild Growth"
        }
        Realms.kr.koKR = {
            "고독한 늑대", "급속 성장", "라그나로스", "로크홀라", "막고라", "소금 평원", "얼음피", "힐스브래드"
        }
        Realms.kr.frFR = {
            "Iceblood", "Lokholar", "Lone Wolf", "Mak'gora", "Ragnaros", "Shimmering Flats", "Wild Growth", "힐스브래드"
        }
        Realms.kr.deDE = {
            "Hillsbrad", "Iceblood", "Lokholar", "Lone Wolf", "Mak'gora", "Ragnaros", "Shimmering Flats", "Wild Growth"
        }
        Realms.kr.zhCN = {
            "冰血", "希尔斯布莱德", "拉格纳罗斯", "洛克霍拉", "独来独往", "荣耀决斗", "野性成长", "闪光平原"
        }
        Realms.kr.esES = {
            "Hillsbrad", "Iceblood", "Lokholar", "Lone Wolf", "Mak’gora", "Ragnaros", "Shimmering Flats", "Wild Growth"
        }
        Realms.kr.zhTW = {
            "冰血", "孤狼", "希爾斯布萊德", "拉格納羅斯", "榮譽決鬥", "洛克霍拉", "野性痊癒", "閃光平原"
        }
        Realms.kr.esMX = {
            "Hillsbrad", "Iceblood", "Lokholar", "Mak'gora", "Ragnaros", "Shimmering Flats"
        }
        Realms.kr.ruRU = {
            "Hillsbrad", "Iceblood", "Lokholar", "Mak'gora", "Ragnaros", "Shimmering Flats", "Буйный рост", "Одинокий волк"
        }
        Realms.kr.ptBR = {
            "Hillsbrad", "Iceblood", "Lokholar", "Lone Wolf", "Mak'gora", "Ragnaros", "Shimmering Flats", "Wild Growth"
        }
        Realms.kr.itIT = {
            "Hillsbrad", "Iceblood", "Lokholar", "Lone Wolf", "Mak'gora", "Ragnaros", "Shimmering Flats", "Wild Growth"
        }
        Realms.tw = {}
        Realms.tw.enUS = {
            "Chaos Bolt", "Crusader Strike", "Hogger", "Ivus", "Lava Lash", "Living Flame", "Lone Wolf", "Maraudon", "Penance", "Shadowstrike", "Teremus", "Voidwalker", "Wild Growth"
        }
        Realms.tw.koKR = {
            "Ivus", "Maraudon", "고독한 늑대", "공허방랑자", "그림자 일격", "급속 성장", "들창코", "살아있는 불꽃", "성전사의 일격", "용암 채찍", "테레무스", "혼돈의 화살", "회개"
        }
        Realms.tw.frFR = {
            "Chaos Bolt", "Crusader Strike", "Hogger", "Lava Lash", "Living Flame", "Lone Wolf", "Penance", "Shadowstrike", "Teremus", "Voidwalker", "Wild Growth", "伊弗斯", "瑪拉頓"
        }
        Realms.tw.deDE = {
            "Chaos Bolt", "Crusader Strike", "Hogger", "Lava Lash", "Living Flame", "Lone Wolf", "Penance", "Shadowstrike", "Teremus", "Voidwalker", "Wild Growth", "伊弗斯", "瑪拉頓"
        }
        Realms.tw.zhCN = {
            "伊弗斯", "十字军打击", "暗影打击", "活化烈焰", "混乱之箭", "熔岩猛击", "特雷姆斯", "独来独往", "玛拉顿", "苦修", "虚空行者", "野性成长", "霍格"
        }
        Realms.tw.esES = {
            "Chaos Bolt", "Crusader Strike", "Hogger", "Ivus", "Lava Lash", "Living Flame", "Lone Wolf", "Maraudon", "Penance", "Shadowstrike", "Teremus", "Voidwalker", "Wild Growth"
        }
        Realms.tw.zhTW = {
            "伊弗斯", "十字軍聖擊", "孤狼", "懺悟", "暗影打擊", "混沌箭", "熔岩暴擊", "特雷姆斯", "瑪拉頓", "生命烈焰", "虛無行者", "野性痊癒", "霍格"
        }
        Realms.tw.esMX = {
            "Chaos Bolt", "Crusader Strike", "Hogger", "Ivus", "Lava Lash", "Living Flame", "Lone Wolf", "Maraudon", "Penance", "Shadowstrike", "Teremus", "Voidwalker", "Wild Growth"
        }
        Realms.tw.ruRU = {
            "Chaos Bolt", "Crusader Strike", "Hogger", "Lava Lash", "Living Flame", "Lone Wolf", "Penance", "Shadowstrike", "Teremus", "Voidwalker", "Wild Growth", "伊弗斯", "瑪拉頓"
        }
        Realms.tw.ptBR = {
            "Chaos Bolt", "Crusader Strike", "Hogger", "Ivus", "Lava Lash", "Living Flame", "Lone Wolf", "Maraudon", "Penance", "Shadowstrike", "Teremus", "Voidwalker", "Wild Growth"
        }
        Realms.tw.itIT = {
            "Chaos Bolt", "Crusader Strike", "Hogger", "Lava Lash", "Living Flame", "Lone Wolf", "Penance", "Shadowstrike", "Teremus", "Voidwalker", "Wild Growth", "伊弗斯", "瑪拉頓"
        }
    end

end

-- Get List of all Realm Names
GRM.GetRealmNames = function()
    if not initialized then
        InitializeRealms()
    end

    local region = string.lower(GetCurrentRegionName())
    if region == "cn" then
        region = "us"
    end

    return Realms[region][GetLocale()]
end